package org.springblade.activity.dto.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 活动管理表
 * </p>
 *
 * @author zbc
 * @since 2021-04-21
 */
@Data
@Accessors(chain = true)
public class BladeActivityPageVo implements Serializable {

    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键ID")
    private Long id;

	@ApiModelProperty(value = "活动主题")
    private String title;

	@ApiModelProperty(value = "活动形式")
    private String type;

	@ApiModelProperty(value = "活动ID")
	private String activityUuid;

	@ApiModelProperty(value = "活动时间")
	//@JsonFormat(pattern = "yyyy-MM-dd")
	private Date activityStartTime;

	@ApiModelProperty(value = "活动结束时间")
	private Date activityEndTime;

	@ApiModelProperty(value = "活动地区 省份")
	private String activityProvince;

	@ApiModelProperty(value = "活动地区 市/区")
	private String activityCity;

	@ApiModelProperty(value = "活动地区")
    private String activityRegion;

	@ApiModelProperty(value = "活动总成本")
    private BigDecimal activityTotalfee;

	@ApiModelProperty(value = "创建时间")
    private Date createTime;

	@ApiModelProperty(value = "修改时间")
    private Date updateTime;

	@ApiModelProperty(value = "状态")
    private Integer status;

	@ApiModelProperty(value = "活动类型 0 平台活动录入 1 第三方活动录入")
	private Integer isThird;

	@ApiModelProperty(value = "是否已删除")
    private Integer isDeleted;

	@ApiModelProperty(value = "渠道信息名称")
	private String channelNames;

	@ApiModelProperty(value = "其他活动成本名称")
	private String costNames;

	@ApiModelProperty(value = "奖品信息名称")
	private String prizeNames;

	@ApiModelProperty(value = "产品信息名称")
	private String productNames;

	@ApiModelProperty(value = "负责人信息名称")
	private String responsibleNames;

}
