package org.springblade.activity.dto.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 活动会员兑奖记录表
 * </p>
 *
 * @author zbc
 * @since 2021-09-06
 */
@Data
public class ExchangeRecordVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 活动ID
     */
    private String activityUuid;

    /**
     * 活动名称
     */
    private String activityName;

    /**
     * 活动类型 1=活动类 2=订购类 3=游戏类 4=秒杀类 5=助力类 6=抽奖类
     */
    private Integer activityType;

    /**
     * 奖品id
     */
    private String prizeId;

    /**
     * 奖品名称
     */
    private String prizeName;

    /**
     * 中奖码
     */
    private String winCode;

    /**
     * 奖品等级
     */
    private String prizeLevel;

    /**
     * 奖品类型 （待定 是否按照兑奖类型来使用该字段）兑奖方式 1=线下邮寄 2=获取卡密 3=手机号码人工导出 4=QQ号人工导出 5=微信账号人工导出 6=其它
     */
    private Integer prizeType;

    /**
     * 兑奖状态  1 已兑 2 未兑
     */
    private Integer exchangeStatus;

    /**
     * 收货电话号码
     */
    private String chargePhone;

	/**
	 * 会员手机号
	 */
	private String memberPhone;

    /**
     * 收货人
     */
    private String consignee;

    /**
     * 配送地址
     */
    private String shippingAddress;

    /**
     * 兑奖时间
     */
    private Date exchangeTime;

    /**
     * 快递单号
     */
    private String courierNumber;


}
