package org.springblade.activity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 活动参与记录表
 * </p>
 *
 * @author zbc
 * @since 2021-09-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ActivityParticipateRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 活动ID
     */
    private String activityUuid;

    /**
     * 活动名称
     */
    private String activityName;

    /**
     * 活动类型 1=活动类 2=订购类 3=游戏类 4=秒杀类 5=助力类 6=抽奖类
     */
    private Integer activityType;

    /**
     * 参与活动手机号
     */
    private String participatePhone;

    /**
     * 参与活动商品
     */
    private String participateGoods;

    /**
     * 参与活动渠道
     */
    private String participateChannel;

    /**
     * 参与活动时间
     */
    private Date participateTime;

    /**
     * 是否中奖  1 是 0 否
     */
    private Integer isHit;

    /**
     * 是否订购  1 是 0 否
     */
    private String isOrder;

	/**
	 * 用户IP地址
	 */
	private String ipAddress;


	/**
	 * 创建时间
	 */
	private Date createTime;

}
