package org.springblade.activity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author zbc
 * @since 2021-06-22
 */
@Data
@Accessors(chain = true)
public class BladeActivityChannel implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
	@ApiModelProperty(value = "主键ID")
    private Long id;

	@ApiModelProperty(value = "活动ID")
    private Long activityId;

	@ApiModelProperty(value = "渠道名称")
    private String name;

	@ApiModelProperty(value = "渠道ID")
    private String channelId;

	@ApiModelProperty(value = "渠道成本")
    private BigDecimal costPrice;

	@ApiModelProperty(value = "渠道类型")
    private String channelType;

	@ApiModelProperty(value = "涉及产品")
    private Long productId;

	@ApiModelProperty(value = "订购渠道ID")
    private String orderId;

	@ApiModelProperty(value = "渠道长链接")
    private String channelLongLink;

	@ApiModelProperty(value = "渠道短链接")
    private String channelShortLink;

	@ApiModelProperty(value = "申请时间")
	@JsonFormat(pattern = "yyyy-MM-dd")
    private Date applyForTime;

	@ApiModelProperty(value = "上线时间")
	@JsonFormat(pattern = "yyyy-MM-dd")
    private Date onlineTime;

	@ApiModelProperty(value = "备注")
    private String remark;

	@ApiModelProperty(value = "创建时间")
	@JsonFormat(pattern = "yyyy-MM-dd")
    private Date createTime;

	@ApiModelProperty(value = "修改时间")
	@JsonFormat(pattern = "yyyy-MM-dd")
    private Date updateTime;

	@ApiModelProperty(value = "状态")
    private Integer status;


}
