package org.springblade.activity.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 产品管理表
 * </p>
 *
 * @author zbc
 * @since 2021-06-22
 */
@Data
@Accessors(chain = true)
public class BladeActivityProduct implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
	@ApiModelProperty(value = "主键ID")
    private Long id;

	@ApiModelProperty(value = "活动ID")
    private Long activityId;

	@ApiModelProperty(value = "产品名称")
    private String name;

	@ApiModelProperty(value = "产品大类")
    private String largeType;

	@ApiModelProperty(value = "spid")
    private String spid;

	@ApiModelProperty(value = "产品小类")
	private String smallType;

	@ApiModelProperty(value = "cpid")
    private String cpid;

	@ApiModelProperty(value = "单品成本价")
    private BigDecimal costPrice;

	@ApiModelProperty(value = "产品总成本")
    private BigDecimal totalCost;

	@ApiModelProperty(value = "总收入计算公式")
    private Integer formulaType;

	@ApiModelProperty(value = "产品资费")
    private BigDecimal productPrices;

	@ApiModelProperty(value = "联通分成")
    private BigDecimal unicomDivided;

	@ApiModelProperty(value = "省份分成")
    private BigDecimal provinceDivided;

	@ApiModelProperty(value = "创建时间")
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date createTime;

	@ApiModelProperty(value = "修改时间")
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date updateTime;

	@ApiModelProperty(value = "状态")
	private Integer status;


}
