package org.springblade.activity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 负责人管理表
 * </p>
 *
 * @author zbc
 * @since 2021-06-22
 */
@Data
@Accessors(chain = true)
public class BladeActivityResponsible implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
	@ApiModelProperty(value = "主键ID")
    private Long id;

	@ApiModelProperty(value = "活动ID")
    private Long activityId;

	@ApiModelProperty(value = "负责人姓名")
    private String name;

	@ApiModelProperty(value = "负责人电话")
    private String phone;

	@ApiModelProperty(value = "负责人邮箱")
    private String email;

	@ApiModelProperty(value = "负责人部门")
    private String department;

	@ApiModelProperty(value = "负责人职务")
    private String position;

	@ApiModelProperty(value = "创建时间")
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date createTime;

	@ApiModelProperty(value = "修改时间")
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date updateTime;

}
