/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.audit.dto;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 财务-PRM发布表实体类
 *
 * @author zbc
 * @since 2022-06-06
 */
@Data
@TableName("CW_BALANCE_DETAIL")
@ExcelIgnoreUnannotated
public class CwBalanceDetailDTO implements Serializable {

	private static final long serialVersionUID = 1L;


	/**
	 * 省份
	 */
	@ApiModelProperty(value = "省份")
	@ExcelProperty(index = 0)
	@TableField("PROVINCE")
	private String province;

	/**
	 * 业务名称
	 */
	@ApiModelProperty(value = "业务名称")
	@ExcelProperty(index = 1)
	@TableField("SPNAME")
	private String spname;

	/**
	 * 应收信息费(元)
	 */
	@ApiModelProperty(value = "应收信息费(元)")
	@ExcelProperty(index = 2)
	@TableField("FEE1")
	private String fee1;

	/**
	 * 剔除话单总额(元)
	 */
	@ApiModelProperty(value = "剔除话单总额(元)")
	@ExcelProperty(index = 3)
	@TableField("DISCOUNT1")
	private String discount1;

	/**
	 * 省分实收信息费(元)
	 */
	@ApiModelProperty(value = "省分实收信息费(元)")
	@ExcelProperty(index = 4)
	@TableField("FEE2")
	private String fee2;

	/**
	 * 欠费总额(元)
	 */
	@ApiModelProperty(value = "欠费总额(元)")
	@ExcelProperty(index = 5)
	@TableField("ARREARAGE")
	private String arrearage;

	/**
	 * 20条扣款总额(元)
	 */
	@ApiModelProperty(value = "20条扣款总额(元)")
	@ExcelProperty(index = 6)
	@TableField("DISCOUNT20")
	private String discount20;

	/**
	 * 客服退赔付费(元)
	 */
	@ApiModelProperty(value = "客服退赔付费(元)")
	@ExcelProperty(index = 7)
	@TableField("MONEY1")
	private String money1;

	/**
	 * 不均衡通信费(元)
	 */
	@ApiModelProperty(value = "不均衡通信费(元)")
	@ExcelProperty(index = 8)
	@TableField("IMBALANCE")
	private String imbalance;

	/**
	 * 省分违约扣款(元)
	 */
	@ApiModelProperty(value = "省分违约扣款(元)")
	@ExcelProperty(index = 9)
	@TableField("MONEY2")
	private String money2;

	/**
	 * 调帐金额(元)
	 */
	@ApiModelProperty(value = "调帐金额(元)")
	@ExcelProperty(index = 10)
	@TableField("MONEY3")
	private String money3;

	/**
	 * 不规范定制处罚费（元）
	 */
	@ApiModelProperty(value = "不规范定制处罚费（元）")
	@ExcelProperty(index = 11)
	@TableField("MONEY4")
	private String money4;


	/**
	 * 实际结算金额(元)
	 */
	@ApiModelProperty(value = "实际结算金额(元)")
	@ExcelProperty(index = 12)
	@TableField("FEE3")
	private String fee3;

}
