/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.audit.dto;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 财务-全网业务基地实收报表实体类
 *
 * @author zbc
 * @since 2022-06-06
 */
@Data
@TableName("CW_FACT_INCOME")
@ExcelIgnoreUnannotated
public class CwFactIncomeDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "账期")
	@ExcelProperty(index = 0)
	@TableField("THEMONTH")
	private String themonth;

	@ApiModelProperty(value = "省分编码")
	@ExcelProperty(index = 1)
	@TableField("PROVINCE_NO")
	private String provinceNo;

	@ApiModelProperty(value = "省分名称")
	@ExcelProperty(index = 2)
	@TableField("PROVINCE")
	private String province;

	@ApiModelProperty(value = "合作伙伴编码")
	@ExcelProperty(index = 3)
	@TableField("SPCODE")
	private String spcode;

	@ApiModelProperty(value = "业务大类编码")
	@ExcelProperty(index = 4)
	@TableField("SERVICETYPE")
	private String servicetype;

	@ApiModelProperty(value = "业务编码")
	@ExcelProperty(index = 5)
	@TableField("SERVICEID")
	private String serviceid;

	@ApiModelProperty(value = "业务名称")
	@ExcelProperty(index = 6)
	@TableField("SERVICENAME")
	private String servicename;

	@ApiModelProperty(value = "产品编码")
	@ExcelProperty(index = 7)
	@TableField("VACPRODUCTID")
	private String vacproductid;

	@ApiModelProperty(value = "产品名称")
	@ExcelProperty(index = 8)
	@TableField("SPNAME")
	private String spname;

	@ApiModelProperty(value = "实收信息费_元")
	@ExcelProperty(index = 9)
	@TableField("FACT_INCOME")
	private String factIncome;

	@ApiModelProperty(value = "订购量")
	@ExcelProperty(index = 10)
	@TableField("ORDERS")
	private String orders;


}
