package org.springblade.audit.dto;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 呼叫中心记录表
 * </p>
 *
 * @author zbc
 * @since 2021-08-19
 */
@Data
@ExcelIgnoreUnannotated
public class FctCsComplaintDetailDTO implements Serializable {

    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "工单流水号")
	@ExcelProperty(index = 0)
	@TableField("WORKSHEETID")
	private String worksheetid;

	/**
	 * 受理方式
	 */
	@ApiModelProperty(value = "提交渠道")
	@ExcelProperty(index = 2)
	@TableField("ACCEPT_WAY")
	private String acceptWay;

	/**
	 * 受理号码
	 */
	@ApiModelProperty(value = "业务号码")
	@ExcelProperty(index = 3)
	@TableField("ACCEPT_PHONENUM")
	private String acceptPhonenum;

	/**
	 * 来电号码
	 */
	@ApiModelProperty(value = "主叫号码")
	@ExcelProperty(index = 9)
	@TableField("DIAL_PHONENUM")
	private String dialPhonenum;

	/**
	 * 用户归属省
	 */
	@ApiModelProperty(value = "客户归属省")
	@ExcelProperty(index = 11)
	@TableField("PROVINCE")
	private String province;

	/**
	 * 投诉类型
	 */
	@ApiModelProperty(value = "工单类型")
	@ExcelProperty(index = 17)
	@TableField("COMPLAINT_TYPE")
	private String complaintType;


	/**
	 * 具体描述
	 */
	@ApiModelProperty(value = "受理内容")
	@ExcelProperty(index = 23)
	@TableField("DESCRIBE")
	private String describe;

	/**
	 * 受理时间
	 */
	@ApiModelProperty(value = "受理时间")
	@ExcelProperty(index = 28)
	@TableField("ACCEPT_TIME")
	private String acceptTime;

	/**
	 * 结束时间
	 */
	@ApiModelProperty(value = "完结时间")
	@ExcelProperty(index = 46)
	@TableField("OVER_TIME")
	private String overTime;

	/**
	 * 业务类型
	 */
	@ApiModelProperty(value = "业务类型")
	@ExcelProperty(index = 55)
	@TableField("SERVICE_STYLE")
	private String serviceStyle;

	/**
	 * 原始业务种类
	 */
	@ApiModelProperty(value = "业务种类")
	@ExcelProperty(index = 56)
	@TableField("SERVICE_TYPE")
	private String serviceType;

	/**
	 * 业务名称
	 */
	@ApiModelProperty(value = "业务名称")
	@ExcelProperty(index = 57)
	@TableField("SPNAME")
	private String spname;


	/**
	 * 是否退费
	 */
	@ApiModelProperty(value = "是否退费")
	@ExcelProperty(index = 60)
	@TableField("IS_REFUND")
	private String isRefund;

	/**
	 * 退费倍数
	 */
	@ApiModelProperty(value = "退费倍数")
	@ExcelProperty(index = 62)
	@TableField("REFUND_TIMES")
	private String refundTimes;

	/**
	 * 退费总金额
	 */
	@ApiModelProperty(value = "退费金额")
	@ExcelProperty(index = 64)
	@TableField("REFUND_MONEY")
	private String refundMoney;

	/**
	 * 退费原因
	 */
	@ApiModelProperty(value = "退费原因")
	@ExcelProperty(index = 65)
	@TableField("REFUND_REASON")
	private String refundReason;

}
