package org.springblade.audit.dto;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 呼叫中心记录表
 * </p>
 *
 * @author zbc
 * @since 2021-08-19
 */
@Data
@TableName("INT_BALANCE_DETAIL")
@ExcelIgnoreUnannotated
public class IntBalanceDetailDTO implements Serializable {

    private static final long serialVersionUID = 1L;


	/**
	 * 省份
	 */
	@ApiModelProperty(value = "省份")
	@ExcelProperty(index = 0)
	@TableField("PROVINCE")
	private String province;

	/**
	 * 业务名称
	 */
	@ApiModelProperty(value = "业务名称")
	@ExcelProperty(index = 1)
	@TableField("SPNAME")
	private String spname;

	/**
	 * 应收信息费(元)
	 */
	@ApiModelProperty(value = "应收信息费(元)")
	@ExcelProperty(index = 2)
	@TableField("FEE1")
	private String fee1;

	/**
	 * 省分实收信息费(元)
	 */
	@ApiModelProperty(value = "省分实收信息费(元)")
	@ExcelProperty(index = 4)
	@TableField("FEE2")
	private String fee2;

	/**
	 * 客服退赔付费(元)
	 */
	@ApiModelProperty(value = "客服退赔付费(元)")
	@ExcelProperty(index = 7)
	@TableField("MONEY1")
	private String money1;

	/**
	 * 省分违约扣款(元)
	 */
	@ApiModelProperty(value = "省分违约扣款(元)")
	@ExcelProperty(index = 9)
	@TableField("MONEY2")
	private String money2;

	/**
	 * 调帐金额(元)
	 */
	@ApiModelProperty(value = "调帐金额(元)")
	@ExcelProperty(index = 10)
	@TableField("MONEY3")
	private String money3;

	/**
	 * 不规范定制处罚费（元）
	 */
	@ApiModelProperty(value = "不规范定制处罚费（元）")
	@ExcelProperty(index = 11)
	@TableField("MONEY4")
	private String money4;


	/**
	 * 实际结算金额(元)
	 */
	@ApiModelProperty(value = "实际结算金额(元)")
	@ExcelProperty(index = 12)
	@TableField("FEE3")
	private String fee3;



}
