package org.springblade.audit.dto;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 呼叫中心记录表
 * </p>
 *
 * @author zbc
 * @since 2021-08-19
 */
@Data
@TableName("INT_400_DISCOUNT")
@ExcelIgnoreUnannotated
public class IntFzzDisconutDTO implements Serializable {

    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "投诉时间")
	@ExcelProperty(index = 1)
	@TableField("ACCEPT_TIME")
    private String acceptTime;

	@ApiModelProperty(value = "来电号码")
	@ExcelProperty(index = 2)
	@TableField("DIAL_PHONENUM")
    private String dialPhonenum;

	@ApiModelProperty(value = "受理号码")
	@ExcelProperty(index = 3)
	@TableField("ACCEPT_PHONENUM")
    private String acceptPhonenum;

	@ApiModelProperty(value = "所属公司")
	@ExcelProperty(index = 4)
	@TableField("COMPANY")
	private String company;

	@ApiModelProperty(value = "业务类型")
	@ExcelProperty(index = 5)
	@TableField("SERVICE_STYLE")
	private String serviceStyle;

	@ApiModelProperty(value = "业务种类")
	@ExcelProperty(index = 6)
	@TableField("SERVICE_TYPE")
	private String serviceType;

	@ApiModelProperty(value = "业务名称")
	@ExcelProperty(index = 7)
	@TableField("SPNAME")
	private String spname;

	@ApiModelProperty(value = "归属省")
	@ExcelProperty(index = 8)
	@TableField("PROVINCE")
	private String province;

	@ApiModelProperty(value = "退费方式")
	@ExcelProperty(index = 9)
	@TableField("REFUND_TYPE")
	private String refundType;

	@ApiModelProperty(value = "充值号码")
	@ExcelProperty(index = 10)
	@TableField("CHARGE_PHONE")
	private String chargePhone;

	@ApiModelProperty(value = "申请金额")
	@ExcelProperty(index = 11)
	@TableField("APPLY_MONEY")
	private String applyMoney;

	@ApiModelProperty(value = "受理方式")
	@ExcelProperty(index = 12)
	@TableField("ACCEPT_WAY")
	private String acceptWay;

	@ApiModelProperty(value = "受理工号")
	@ExcelProperty(index = 13)
	@TableField("SERVICE_NO")
	private String serviceno;

	@ApiModelProperty(value = "投诉类型")
	@ExcelProperty(index = 14)
	@TableField("COMPLAINT_TYPE")
    private String complaintType;

	@ApiModelProperty(value = "退费原因")
	@ExcelProperty(index = 15)
	@TableField("REFUND_REASON")
    private String refundReason;

	@ApiModelProperty(value = "具体描述")
	@ExcelProperty(index = 16)
	@TableField("DESCRIBE")
    private String describe;

	@ApiModelProperty(value = "处理结果")
	@ExcelProperty(index = 17)
	@TableField("HANDLE_RESULT")
    private String handleResult;

}
