package org.springblade.audit.dto;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 省分违约明细表
 * </p>
 *
 * @author zbc
 * @since 2021-12-29
 */
@Data
@TableName("INT_PROVINCE_VIOLATION")
@ExcelIgnoreUnannotated
public class IntProvinceViolationDTO implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * 受理号码
     */
	@ApiModelProperty(value = "受理号码")
	@ExcelProperty(index = 0)
	@TableField("USERID")
    private String userid;

    /**
     * 省份
     */
	@ApiModelProperty(value = "省份")
	@ExcelProperty(index = 1)
	@TableField("PROVINCE")
    private String province;

    /**
     * 产品名称
     */
	@ApiModelProperty(value = "产品名称")
	@ExcelProperty(index = 2)
	@TableField("SPNAME")
    private String spname;

    /**
     * 投诉发生月份
     */
	@ApiModelProperty(value = "投诉发生月份")
	@ExcelProperty(index = 3)
	@TableField("TS_MONTH")
    private String tsMonth;

    /**
     * 平均扣款金额（元）
     */
	@ApiModelProperty(value = "平均扣款金额（元）")
	@ExcelProperty(index = 4)
	@TableField("AVG_DISCOUNT")
    private String avgDiscount;


}
