package org.springblade.audit.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author zbc
 * @since 2021-12-02
 */
@Data
public class AuditUploadUser implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
	@ApiModelProperty(value = "主键ID")
    private Long id;

	@ApiModelProperty(value = "上传人ID")
	@NotBlank(message = "上传人ID不能为空")
    private String uploadId;

	@ApiModelProperty(value = "上传人")
	@NotBlank(message = "上传人不能为空")
    private String uploadUser;

	@ApiModelProperty(value = "审核人ID")
	@NotNull(message = "审核人ID不能为空")
    private Long auditId;

	@ApiModelProperty(value = "审核人")
	@NotBlank(message = "审核人不能为空")
    private String auditUser;

	@ApiModelProperty(value = "报表分类")
	@NotBlank(message = "报表分类不能为空")
    private String reportType;

	@ApiModelProperty(value = "创建时间")
    private Date createTime;

	@ApiModelProperty(value = "报表分类")
	@TableField(exist = false)
	private String reportName;


}
