package org.springblade.audit.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 任务表
 * </p>
 *
 * @author zbc
 * @since 2021-12-14
 */
@Data
public class BladeReportTask implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
	@ApiModelProperty(value = "主键ID")
    private Long id;

	@ApiModelProperty(value = "报表名称")
    private String reportName;

	@ApiModelProperty(value = "报表类型 1 导入 2 导出")
    private Integer reportType;

	@ApiModelProperty(value = "报表下载路径")
    private String reportUrl;

	@ApiModelProperty(value = "报表状态 1 执行中 2 成功 3 失败")
    private Integer reportStatus;

	@ApiModelProperty(value = "报表用时")
    private String useTime;

	@ApiModelProperty(value = "创建人")
    private Long createUser;

	@ApiModelProperty(value = "下载状态 1 未下载 2 已下载")
	private Integer downloadStatus;

	@ApiModelProperty(value = "创建时间")
    private Date createTime;

	@TableField(exist = false)
	private String userName;


}
