/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.audit.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 财务-PRM发布表实体类
 *
 * @author zbc
 * @since 2022-06-06
 */
@Data
@TableName("CW_BALANCE_DETAIL")
public class CwBalanceDetail implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 账期月份
	 */
	private Long themonth;
	/**
	 * 省份
	 */
	private String province;
	/**
	 * 业务名称
	 */
	private String spname;
	/**
	 * 业务ID
	 */
	private String spid;
	/**
	 * 应收信息费(元)
	 */
	private BigDecimal fee1;
	/**
	 * 剔除话单总额(元)
	 */
	private BigDecimal discount1;
	/**
	 * 省分实收信息费(元)
	 */
	private BigDecimal fee2;
	/**
	 * 欠费总额(元)
	 */
	private BigDecimal arrearage;
	/**
	 * 20条扣款总额(元)
	 */
	private BigDecimal discount20;
	/**
	 * 客服退赔付费(元)
	 */
	private BigDecimal money1;
	/**
	 * 不均衡通信费(元)
	 */
	private BigDecimal imbalance;
	/**
	 * 省分违约扣款(元)
	 */
	private BigDecimal money2;
	/**
	 * 调帐金额(元)
	 */
	private BigDecimal money3;
	/**
	 * 不规范定制处罚费（元）
	 */
	private BigDecimal money4;
	/**
	 * 实际结算金额(元)
	 */
	private BigDecimal fee3;
	/**
	 * SP代码
	 */
	private String spcode;


}
