/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.audit.entity;

import java.math.BigDecimal;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 财务-全网业务基地实收报表实体类
 *
 * @author zbc
 * @since 2022-06-06
 */
@Data
@TableName("CW_FACT_INCOME")
public class CwFactIncome implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 账期月份
	 */
	private Long themonth;
	/**
	 * 省分编码
	 */
	private String provinceNo;
	/**
	 * 省分名称
	 */
	private String province;
	/**
	 * 合作伙伴编码
	 */
	private String spcode;
	/**
	 * 业务大类编码
	 */
	private String servicetype;
	/**
	 * 业务编码
	 */
	private String serviceid;
	/**
	 * 业务名称
	 */
	private String servicename;
	/**
	 * 产品编码
	 */
	private String vacproductid;
	/**
	 * 产品ID
	 */
	private String spid;
	/**
	 * 产品名称
	 */
	private String spname;
	/**
	 * 实收信息费_元
	 */
	private BigDecimal factIncome;
	/**
	 * 订购量
	 */
	private BigDecimal orders;


}
