package org.springblade.audit.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * PRM发布表
 * </p>
 *
 * @author zbc
 * @since 2021-12-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class IntBalanceDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 账期月份
     */
    private Long themonth;

    /**
     * 省份
     */
    private String province;

    /**
     * 业务名称
     */
    private String spname;

    /**
     * 业务ID
     */
    private String spid;

    /**
     * 客服退赔付费(元)
     */
    private BigDecimal money1;

    /**
     * 省分违约扣款(元)
     */
    private BigDecimal money2;

    /**
     * 调帐金额(元)
     */
    private BigDecimal money3;

    /**
     * 不规范定制处罚费（元）
     */
    private BigDecimal money4;

    /**
     * SP代码
     */
    private String spcode;

	/**
	 * 应收信息费(元)
	 */
	private BigDecimal fee1;

	/**
	 * 省分实收信息费(元)
	 */
	private BigDecimal fee2;

	/**
	 * 实际结算金额(元)
	 */
	private BigDecimal fee3;



}
