package org.springblade.audit.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 省分违约明细表
 * </p>
 *
 * @author zbc
 * @since 2021-12-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class IntProvinceViolation implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 数据导入月份
	 */
	private Long themonth;

	/**
	 * 受理号码
	 */
	private String userid;

	/**
	 * 省份
	 */
	private String province;

	/**
	 * 产品名称
	 */
	private String spname;

	/**
	 * 产品ID
	 */
	private String spid;

	/**
	 * 投诉发生月份
	 */
	private Long tsMonth;

	/**
	 * 平均扣款金额（元）
	 */
	private BigDecimal avgDiscount;


}
