package org.springblade.audit.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 客服投诉明细表
 * </p>
 *
 * @author zbc
 * @since 2021-12-08
 */
@Data
@TableName("MID_CS_COMPLAINT_DETAIL")
public class MidCsComplaintDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 月份
     */
    private Long themonth;

    /**
     * 导入时间
     */
    private Date importTime;

    /**
     * 来源类别
     */
    private String dataSource;

    /**
     * 工单编号
     */
    private String worksheetid;

    /**
     * 受理时间
     */
    private Date acceptTime;

    /**
     * 来电号码
     */
    private String dialPhonenum;

    /**
     * 受理号码
     */
    private String acceptPhonenum;

    /**
     * 业务类型
     */
    private String serviceStyle;

    /**
     * 业务种类
     */
    private String serviceType;

    /**
     * 业务名称
     */
    private String spname;

    /**
     * 用户归属省
     */
    private String province;

    /**
     * 地市
     */
    private String area;

    /**
     * 受理方式
     */
    private String acceptWay;

    /**
     * 投诉类型
     */
    private String complaintType;

    /**
     * 退费原因
     */
    private String refundReason;

    /**
     * 具体描述
     */
    private String describe;

    /**
     * 处理结果
     */
    private String handleResult;

    /**
     * 是否退费
     */
    private String isRefund;

    /**
     * 退费倍数
     */
    private String refundTimes;

    /**
     * 退费总金额
     */
    private Double refundMoney;

    /**
     * 是否高额退费
     */
    private String isHighRefund;

    /**
     * 结束时间
     */
    private Date overTime;

    /**
     * 是否升级投诉
     */
    private String complaintUpgrade;

    /**
     * 受理日期
     */
    private Long acceptDay;

    /**
     * 导入日期
     */
    private Long importDay;

    /**
     * 业务ID
     */
    private String spid;


}
