/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.audit.entity;

import java.math.BigDecimal;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 其它渠道-替CP退费表实体类
 *
 * @author zbc
 * @since 2022-05-20
 */
@Data
@TableName("YKSYT_REFUND_FOR_CP")
public class YksytRefundForCp implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 月份
	 */
	private Long themonth;
	/**
	 * 归属省
	 */
	private String province;
	/**
	 * 内部标识
	 */
	private String spid;
	/**
	 * 业务名称
	 */
	private String spname;
	/**
	 * 对应CP
	 */
	private String cpname;
	/**
	 * 退费金额
	 */
	private BigDecimal refundMoney;


}
