/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.audit.enums;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 导入类型枚举 互联网结算相关数据格式及WEB导入需求_2021-12-21.docx
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum AuditsEnum {

	/**
	 * 400扣罚
	 */
	INT_400_KF("400扣罚","int_400_kf"),


	/**
	 * BalanceDetail(PRM发布)
	 */
	INT_BALANCE_FB("BalanceDetail(PRM发布)","int_balance_fb"),


	/**
	 * 省分违约明细
	 */
	INT_VIOLATION_WY("省分违约明细","int_violation_wy"),


	/**
	 * 不规范定制处罚明细
	 */
	INT_IRREGULAR_CF("不规范定制处罚明细","int_irregular_cf"),


	/**
	 * 出账清单
	 */
	INT_ACCOUNT_CZ("出账清单","int_account_cz"),


	/**
	 * 替CP退费 (其他渠道结算)
	 */
	YKSYT_REFUND_FOR_CP("CP退费","yksyt_refund_for_cp");

	final String name;
	final String code;

}
