/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.audit.enums;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 导入类型枚举 其它数据导入需求-财务_2022-06-04.docx
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum StreamEnum {

	/**
	 * 暂估收入
	 */
	STREAM("暂估收入","stream"),


	/**
	 * BalanceDetail(PRM发布--其他渠道结算)
	 */
	CW_BALANCE_DETAIL("PRM发布","cw_balance_detail"),


	/**
	 * 实收报表 (其他渠道结算)
	 */
	CW_FACT_INCOME("实收报表","cw_fact_income");

	final String name;
	final String code;

}
