/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.audit.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.audit.entity.CwBalanceDetail;
import org.springblade.audit.mapper.CwBalanceDetailMapper;
import org.springblade.audit.service.ICwBalanceDetailService;
import org.springframework.stereotype.Service;

/**
 * 财务-PRM发布表 服务实现类
 *
 * @author zbc
 * @since 2022-06-06
 */
@Service
@DS("slave")
public class CwBalanceDetailServiceImpl extends ServiceImpl<CwBalanceDetailMapper, CwBalanceDetail> implements ICwBalanceDetailService {


	@Override
	public void giveSpidSoul(String theMonth) {
		baseMapper.giveSpidSoul(theMonth);
	}

	@Override
	public void giveSpidSoulTwo(String theMonth) {
		baseMapper.giveSpidSoulTwo(theMonth);
	}
}
