/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.audit.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.audit.entity.YksytRefundForCp;
import org.springblade.audit.mapper.YksytRefundForCpMapper;
import org.springblade.audit.service.IYksytRefundForCpService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 其它渠道-替CP退费表 服务实现类
 *
 * @author zbc
 * @since 2022-05-20
 */
@Service
@DS("slave")
public class YksytRefundForCpServiceImpl extends ServiceImpl<YksytRefundForCpMapper, YksytRefundForCp> implements IYksytRefundForCpService {

	@Autowired
	private YksytRefundForCpMapper yksytRefundForCpMapper;

	@Override
	public void giveSpidSoul(String theMonth) {
		yksytRefundForCpMapper.giveSpidSoul(theMonth);
	}

	@Override
	public void giveSpidSoulTwo(String theMonth) {
		yksytRefundForCpMapper.giveSpidSoulTwo(theMonth);
	}

	@Override
	public void settingFileTag(String theMonth) {
		yksytRefundForCpMapper.settingFileTag(theMonth);
	}
}
