package org.springblade.capcancel.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.capcancel.entity.CapCancelNum;
import org.springblade.capcancel.mapper.CapCancelNumMapper;
import org.springblade.capcancel.service.ICapCancelNumService;
import org.springblade.capcancel.vo.CapCancelNumVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.LinkedHashMap;
import java.util.List;

/**
 * <p>
 * CAP统一失效数 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-08-25
 */
@Service
@DS("slave")
public class CapCancelNumServiceImpl extends ServiceImpl<CapCancelNumMapper, CapCancelNum> implements ICapCancelNumService {

	@Autowired
	private CapCancelNumMapper capCancelNumMapper;

	@Override
	public List<CapCancelNumVO> getListByMonth(String month) {
		return capCancelNumMapper.getListByMonth(month);
	}

	@Override
	public List<String> getSpnameList() {
		return capCancelNumMapper.getSpnameList();
	}

	@Override
	public List<LinkedHashMap<String, Object>> getPivotList(StringBuffer buffer) {
		return capCancelNumMapper.getPivotList(buffer);
	}
}
