package org.springblade.channel.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class BladeChannelVO implements Serializable {

	private Long id;

	@ApiModelProperty(value = "渠道名称")
    private String name;

	@ApiModelProperty(value = "渠道ID")
    private String channelId;

	@ApiModelProperty(value = "渠道成本")
    private BigDecimal costPrice;

	@ApiModelProperty(value = "渠道类型")
	private String channelType;

	@ApiModelProperty(value = "产品ID")
	private Long productId;

	@ApiModelProperty(value = "产品名称")
	private String productName;

	@ApiModelProperty(value = "渠道长链接")
	private String channelLongLink;

	@ApiModelProperty(value = "渠道短链接")
	private String channelShortLink;

	@JsonFormat(pattern = "yyyy-MM-dd")
	@ApiModelProperty(value = "申请时间")
	private Date applyForTime;

	@JsonFormat(pattern = "yyyy-MM-dd")
	@ApiModelProperty(value = "上线时间")
	private Date onlineTime;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "订购渠道ID")
	private String orderId;


}
