package org.springblade.complaints.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springblade.core.mp.base.BaseEntity;

/**
 * <p>
 * 客诉报表管理
 * </p>
 *
 * @author zbc
 * @since 2021-04-09
 */
@Data
@TableName("blade_customer_complaints_report")
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@ApiModel(value = "BladeCustomerComplaintsReport对象", description = "客诉报表管理")
public class BladeCustomerComplaintsReport extends BaseEntity {

    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "报表名称")
    private String reportName;

	@ApiModelProperty(value = "客诉分类ID")
    private Long complaintId;

	@ApiModelProperty(value = "报表路径")
    private String reportPath;

}
