package org.springblade.customer.dto;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 客服不规范定制数据表
 * </p>
 *
 * @author zbc
 * @since 2021-08-19
 */
@Data
@TableName("FCT_CS_IRREGULAR")
@ExcelIgnoreUnannotated
public class FctCsIrregularDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 合作伙伴名称
     */
	@ApiModelProperty(value = "合作伙伴名称")
	@ExcelProperty(index = 0)
	@TableField("SPCDOENAME")
    private String spcdoename;

    /**
     * 合作伙伴代码
     */
	@ApiModelProperty(value = "合作伙伴代码")
	@ExcelProperty(index = 1)
	@TableField("SPCODE")
    private String spcode;

    /**
     * 业务类型名称
     */
	@ApiModelProperty(value = "业务类型名称")
	@ExcelProperty(index = 2)
	@TableField("SERVICENAME")
    private String servicename;

    /**
     * 业务类型代码
     */
	@ApiModelProperty(value = "业务类型代码")
	@ExcelProperty(index = 3)
	@TableField("SERVICECODE")
    private String servicecode;

    /**
     * 业务名称
     */
	@ApiModelProperty(value = "业务名称")
	@ExcelProperty(index = 4)
	@TableField("SPNAME")
    private String spname;

    /**
     * 业务代码
     */
	@ApiModelProperty(value = "业务代码")
	@ExcelProperty(index = 5)
	@TableField("PRODUCTCODE")
    private String productcode;

    /**
     * 产品名称
     */
	@ApiModelProperty(value = "产品名称")
	@ExcelProperty(index = 6)
	@TableField("SPNAME2")
    private String spname2;

    /**
     * 产品代码
     */
	@ApiModelProperty(value = "产品代码")
	@ExcelProperty(index = 7)
	@TableField("PRODUCTID")
    private String productid;

    /**
     * 投诉类型名称
     */
	@ApiModelProperty(value = "投诉类型名称")
	@ExcelProperty(index = 8)
	@TableField("COMPLAINT_TYPENAME")
    private String complaintTypename;

    /**
     * 投诉类型代码
     */
	@ApiModelProperty(value = "投诉类型代码")
	@ExcelProperty(index = 9)
	@TableField("COMPLAINT_TYPE")
    private String complaintType;

    /**
     * 不规范定制
     */
	@ApiModelProperty(value = "不规范定制")
	@ExcelProperty(index = 10)
	@TableField("IRREGULAR")
    private String irregular;

    /**
     * 省分
     */
	@ApiModelProperty(value = "省分")
	@ExcelProperty(index = 11)
	@TableField("PROVINCE")
    private String province;

    /**
     * 地市
     */
	@ApiModelProperty(value = "地市")
	@ExcelProperty(index = 12)
	@TableField("AREA")
    private String area;

    /**
     * 合作性质
     */
	@ApiModelProperty(value = "合作性质")
	@ExcelProperty(index = 13)
	@TableField("PARTNER_TYPE")
    private String partnerType;

    /**
     * 全网/省分
     */
	@ApiModelProperty(value = "全网/省分")
	@ExcelProperty(index = 14)
	@TableField("WHOLENET")
    private String wholenet;

    /**
     * 派单时间
     */
	@ApiModelProperty(value = "派单时间")
	@ExcelProperty(index = 15)
	@TableField("START_TIME")
    private String startTime;

    /**
     * 投诉量
     */
	@ApiModelProperty(value = "投诉量")
	@ExcelProperty(index = 16)
	@TableField("COMPLAINT_NUM")
    private Double complaintNum;

    /**
     * 投诉内容
     */
	@ApiModelProperty(value = "投诉内容")
	@ExcelProperty(index = 17)
	@TableField("COMPLAINT_DETAIL")
    private String complaintDetail;

    /**
     * 责任方代码
     */
	@ApiModelProperty(value = "责任方代码")
	@ExcelProperty(index = 20)
	@TableField("SPCODE2")
    private String spcode2;

    /**
     * 责任方名称
     */
	@ApiModelProperty(value = "责任方名称")
	@ExcelProperty(index = 21)
	@TableField("SPCODENAME2")
    private String spcodename2;

    /**
     * 结单时间
     */
	@ApiModelProperty(value = "结单时间")
	@ExcelProperty(index = 22)
	@TableField("FINISH_TIME")
    private String finishTime;

    /**
     * 投诉单号
     */
	@ApiModelProperty(value = "投诉单号")
	@ExcelProperty(index = 23)
	@TableField("COMPLAINT_NO")
    private String complaintNo;

    /**
     * 投诉编号
     */
	@ApiModelProperty(value = "投诉编号")
	@ExcelProperty(index = 24)
	@TableField("COMPLAINT_ITEMNO")
    private String complaintItemno;

    /**
     * 状态
     */
	@ApiModelProperty(value = "状态")
	@ExcelProperty(index = 25)
	@TableField("STATUS")
    private String status;

	/**
	 * 批次号
	 */
	private String batchNum;

}
