package org.springblade.customer.dto;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 呼叫中心记录表
 * </p>
 *
 * @author zbc
 * @since 2021-08-19
 */
@Data
@TableName("FCT_CS_RECORDS")
@ExcelIgnoreUnannotated
public class FctCsRecordsDTO implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * 工单编号
     */
	@ApiModelProperty(value = "工单流水号")
	@ExcelProperty(index = 0)
	@TableField("WORKSHEETID")
    private String worksheetid;


	/**
	 * 受理方式
	 */
	@ApiModelProperty(value = "提交渠道")
	@ExcelProperty(index = 2)
	@TableField("ACCEPT_TYPE")
	private String acceptType;


	/**
	 * 受理号码
	 */
	@ApiModelProperty(value = "业务号码")
	@ExcelProperty(index = 3)
	@TableField("ACCEPT_PHONENUM")
	private String acceptPhonenum;

	/**
	 * 来电号码
	 */
	@ApiModelProperty(value = "主叫号码")
	@ExcelProperty(index = 9)
	@TableField("DIAL_PHONENUM")
	private String dialPhonenum;

	/**
	 * 用户归属省
	 */
	@ApiModelProperty(value = "客户归属省")
	@ExcelProperty(index = 11)
	@TableField("PROVINCE")
	private String province;

	/**
	 * 投诉类型
	 */
	@ApiModelProperty(value = "工单类型")
	@ExcelProperty(index = 17)
	@TableField("COMPLAINT_TYPE")
	private String complaintType;

	/**
	 * 投诉小类
	 */
	@ApiModelProperty(value = "客户端投诉问题分类")
	@ExcelProperty(index = 22)
	@TableField("COMPLAINT_SUBTYPE")
	private String complaintSubtype;

	/**
	 * 具体描述
	 */
	@ApiModelProperty(value = "受理内容")
	@ExcelProperty(index = 23)
	@TableField("DESCRIBE")
	private String describe;

	/**
	 * 工单状态
	 */
	@ApiModelProperty(value = "工单状态")
	@ExcelProperty(index = 25)
	@TableField("WORKSHEET_STATUS")
	private String worksheetStatus;

	/**
	 * 客服工号
	 */
	@ApiModelProperty(value = "受理人工号")
	@ExcelProperty(index = 26)
	@TableField("SERVICE_NO")
	private String serviceNo;

    /**
     * 受理时间
     */
	@ApiModelProperty(value = "受理时间")
	@ExcelProperty(index = 28)
	@TableField("ACCEPT_TIME")
    private String acceptTime;

	/**
	 * 业务部门用时时间
	 */
	@ApiModelProperty(value = "业务部门用时时间")
	@ExcelProperty(index = 38)
	@TableField("BP_SPEND_TIME")
	private String bpSpendTime;

	/**
	 * 结束时间
	 */
	@ApiModelProperty(value = "完结时间")
	@ExcelProperty(index = 46)
	@TableField("FINISH_TIME")
	private String finishTime;

	/**
	 * 归属部门
	 */
	@ApiModelProperty(value = "归属部门")
	@ExcelProperty(index = 54)
	@TableField("DEPARTMENT")
	private String department;

	/**
	 * 业务类型
	 */
	@ApiModelProperty(value = "业务类型")
	@ExcelProperty(index = 55)
	@TableField("SERVICE_TYPE")
	private String serviceType;

    /**
     * 原始业务种类
     */
	@ApiModelProperty(value = "业务种类")
	@ExcelProperty(index = 56)
	@TableField("SERVICE_TYPE2")
    private String serviceType2;

	/**
	 * 业务名称
	 */
	@ApiModelProperty(value = "业务名称")
	@ExcelProperty(index = 57)
	@TableField("SPNAME")
	private String spname;

	/**
	 * 是否退费
	 */
	@ApiModelProperty(value = "是否退费")
	@ExcelProperty(index = 60)
	@TableField("IS_REFUNDED")
	private String isRefunded;

	/**
	 * 退费倍数
	 */
	@ApiModelProperty(value = "退费倍数")
	@ExcelProperty(index = 62)
	@TableField("REFUND_TIMES")
	private String refundTimes;

	/**
	 * 退费总金额
	 */
	@ApiModelProperty(value = "退费金额")
	@ExcelProperty(index = 64)
	@TableField("REFUND_MONEY")
	private String refundMoney;

	/**
	 * 退费原因
	 */
	@ApiModelProperty(value = "退费原因")
	@ExcelProperty(index = 65)
	@TableField("REFUND_REASON")
	private String refundReason;






























}
