package org.springblade.customer.dto;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 客服PRM违约明细
 * </p>
 *
 * @author zbc
 * @since 2021-08-24
 */
@Data
@ExcelIgnoreUnannotated
public class FctPrmViolationDTO implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * 代码
     */
	@ApiModelProperty(value = "代码")
	@ExcelProperty(index = 0)
    private String spcode;


    /**
     * 省分
     */
	@ApiModelProperty(value = "省份")
	@ExcelProperty(index = 1)
    private String province;

    /**
     * 违约产品
     */
	@ApiModelProperty(value = "违约产品")
	@ExcelProperty(index = 2)
    private String spname;

    /**
     * 投诉发生月份
     */
	@ApiModelProperty(value = "投诉发生月份")
	@ExcelProperty(index = 3)
    private String complaintMonth;

    /**
     * 违约审批月份
     */
	@ApiModelProperty(value = "违约审批月份")
	@ExcelProperty(index = 4)
    private String violationApproveMonth;

    /**
     * 违约等级
     */
	@ApiModelProperty(value = "违约等级")
	@ExcelProperty(index = 5)
    private String violationLevel;

    /**
     * 违约描述
     */
	@ApiModelProperty(value = "违约描述")
	@ExcelProperty(index = 6)
    private String violationDesc;

    /**
     * 扣款状态
     */
	@ApiModelProperty(value = "扣款状态")
	@ExcelProperty(index = 7)
    private String deductStatus;

    /**
     * 扣款
     */
	@ApiModelProperty(value = "扣款")
	@ExcelProperty(index = 8)
    private String deductMoney;


}
