package org.springblade.customer.dto;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 流量一点看全-10010投诉
 * </p>
 *
 * @author zbc
 * @since 2023-02-08
 */
@Data
@ExcelIgnoreUnannotated
public class LlAllin1Cs10010DTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 日期
     */
    @ApiModelProperty(value = "日期")
    @ExcelProperty(index = 0)
    private String theday;

    /**
     * 号码归属省分名称
     */
    @ApiModelProperty(value = "归属省分")
    @ExcelProperty(index = 1)
    private String province;

    /**
     * 号码归属地市名称
     */
    @ApiModelProperty(value = "归属地市")
    @ExcelProperty(index = 2)
    private String area;

    /**
     * 业务号码
     */
    @ApiModelProperty(value = "业务号码")
    @ExcelProperty(index = 3)
    private String userid;

    /**
     * 工单流水号
     */
    @ApiModelProperty(value = "工单流水号")
    @ExcelProperty(index = 4)
    private String worksheetid;

    /**
     * 产品代码
     */
    @ApiModelProperty(value = "产品代码")
    @ExcelProperty(index = 5)
    private String productid;

    /**
     * 产品名称
     */
    @ApiModelProperty(value = "产品名称")
    @ExcelProperty(index = 6)
    private String productname;

    /**
     * 星级名称
     */
    @ApiModelProperty(value = "星级名称")
    @ExcelProperty(index = 7)
    private String startlevel;

    /**
     * 六大类工单类型名称
     */
    @ApiModelProperty(value = "工单类型")
    @ExcelProperty(index = 8)
    private String wsTypeSix;

    /**
     * 新客服工单类型名称
     */
    @ApiModelProperty(value = "新客服工单类型")
    @ExcelProperty(index = 9)
    private String wsTypeNew;

    /**
     * 工单建单时间
     */
    @ApiModelProperty(value = "工单建单时间")
    @ExcelProperty(index = 10)
    private String createtime;

    /**
     * 工单归档时间
     */
    @ApiModelProperty(value = "工单归档时间")
    @ExcelProperty(index = 11)
    private String archivetime;

    /**
     * 渠道类型名称
     */
    @ApiModelProperty(value = "渠道类型名称")
    @ExcelProperty(index = 12)
    private String channeltype;

    /**
     * 专业线
     */
    @ApiModelProperty(value = "专业线")
    @ExcelProperty(index = 13)
    private String profLine;

    /**
     * 大类名称
     */
    @ApiModelProperty(value = "大类名称")
    @ExcelProperty(index = 14)
    private String parentType;

    /**
     * 小类名称
     */
    @ApiModelProperty(value = "小类名称")
    @ExcelProperty(index = 15)
    private String subtype;

    /**
     * 受理渠道名称
     */
    @ApiModelProperty(value = "受理渠道名称")
    @ExcelProperty(index = 16)
    private String acceptChannel;

    /**
     * 投诉问题定位名称
     */
    @ApiModelProperty(value = "投诉问题定位名称")
    @ExcelProperty(index = 17)
    private String csQuesBelongto;

    /**
     * 责任归属专业名称
     */
    @ApiModelProperty(value = "责任归属专业名称")
    @ExcelProperty(index = 18)
    private String deptInChargeOf;

    /**
     * 业务类别名称
     */
    @ApiModelProperty(value = "业务类别名称")
    @ExcelProperty(index = 19)
    private String servicetypename;

    /**
     * 投诉急迫性名称
     */
    @ApiModelProperty(value = "投诉急迫性名称")
    @ExcelProperty(index = 20)
    private String urgencyName;

    /**
     * 投诉重要性名称
     */
    @ApiModelProperty(value = "投诉重要性名称")
    @ExcelProperty(index = 21)
    private String importanceName;

    /**
     * 是否升级
     */
    @ApiModelProperty(value = "是否升级")
    @ExcelProperty(index = 22)
    private String upgrade;

    /**
     * 规定总时限
     */
    @ApiModelProperty(value = "规定总时限")
    @ExcelProperty(index = 23)
    private String timeLimit;

    /**
     * 实际处理总工作时长
     */
    @ApiModelProperty(value = "实际处理总工作时长")
    @ExcelProperty(index = 24)
    private String dealTime;

    /**
     * 审核派发工作时长
     */
    @ApiModelProperty(value = "审核派发工作时长")
    @ExcelProperty(index = 25)
    private String checkTime;

    /**
     * 是否超时办结
     */
    @ApiModelProperty(value = "是否超时办结")
    @ExcelProperty(index = 26)
    private String timeout;

    /**
     * 总自然时长
     */
    @ApiModelProperty(value = "总自然时长")
    @ExcelProperty(index = 27)
    private String ntimeTotal;

    /**
     * 审核派发自然时长
     */
    @ApiModelProperty(value = "审核派发自然时长")
    @ExcelProperty(index = 28)
    private String ntimeCheck;

    /**
     * 回访自然时长
     */
    @ApiModelProperty(value = "回访自然时长")
    @ExcelProperty(index = 29)
    private String ntimeRv;

    /**
     * 客户投诉描述
     */
    @ApiModelProperty(value = "客户投诉描述")
    @ExcelProperty(index = 30)
    private String csContent;

    /**
     * 业务产品类别名称
     */
    @ApiModelProperty(value = "业务产品类别名称")
    @ExcelProperty(index = 31)
    private String prodtypeName;

    /**
     * 套餐名称
     */
    @ApiModelProperty(value = "套餐名称")
    @ExcelProperty(index = 32)
    private String suitName;

    /**
     * 整合-新客服工单类型
     */
    @ApiModelProperty(value = "整合-新客服工单类型")
    @ExcelProperty(index = 33)
    private String wsTypeNew2;

    /**
     * 部门
     */
    @ApiModelProperty(value = "部门")
    @ExcelProperty(index = 34)
    private String department;

    /**
     * 合作伙伴编码
     */
    @ApiModelProperty(value = "spid")
    @ExcelProperty(index = 35)
    private String spcode;


}
