package org.springblade.customer.dto;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 流量一点看全-PRM投诉
 * </p>
 *
 * @author zbc
 * @since 2023-02-08
 */
@Data
@ExcelIgnoreUnannotated
public class LlAllin1CsPrmDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 合作伙伴名称
     */
    @ApiModelProperty(value = "合作伙伴名称")
    @ExcelProperty(index = 0)
    private String spcdoename;

    /**
     * 合作伙伴代码
     */
    @ApiModelProperty(value = "合作伙伴代码")
    @ExcelProperty(index = 1)
    private String spcode;

    /**
     * 业务类型名称
     */
    @ApiModelProperty(value = "业务类型名称")
    @ExcelProperty(index = 2)
    private String servicename;

    /**
     * 业务类型代码
     */
    @ApiModelProperty(value = "业务类型代码")
    @ExcelProperty(index = 3)
    private String servicecode;

    /**
     * 业务名称
     */
    @ApiModelProperty(value = "业务名称")
    @ExcelProperty(index = 4)
    private String spname;

    /**
     * 业务代码
     */
    @ApiModelProperty(value = "业务代码")
    @ExcelProperty(index = 5)
    private String productcode;

    /**
     * 产品名称
     */
    @ApiModelProperty(value = "产品名称")
    @ExcelProperty(index = 6)
    private String productname;

    /**
     * 产品代码
     */
    @ApiModelProperty(value = "产品代码")
    @ExcelProperty(index = 7)
    private String productid;

    /**
     * 投诉类型名称
     */
    @ApiModelProperty(value = "投诉类型名称")
    @ExcelProperty(index = 8)
    private String complaintTypename;

    /**
     * 投诉类型代码
     */
    @ApiModelProperty(value = "投诉类型代码")
    @ExcelProperty(index = 9)
    private String complaintType;

    /**
     * 不规范定制
     */
    @ApiModelProperty(value = "不规范定制")
    @ExcelProperty(index = 10)
    private String irregular;

    /**
     * 省分
     */
    @ApiModelProperty(value = "省分")
    @ExcelProperty(index = 11)
    private String province;

    /**
     * 地市
     */
    @ApiModelProperty(value = "地市")
    @ExcelProperty(index = 12)
    private String area;

    /**
     * 合作性质
     */
    @ApiModelProperty(value = "合作性质")
    @ExcelProperty(index = 13)
    private String partnerType;

    /**
     * 全网/省分
     */
    @ApiModelProperty(value = "全网/省分")
    @ExcelProperty(index = 14)
    private String wholenet;

    /**
     * 派单时间
     */
    @ApiModelProperty(value = "派单时间")
    @ExcelProperty(index = 15)
    private String startTime;

    /**
     * 投诉量
     */
    @ApiModelProperty(value = "投诉量")
    @ExcelProperty(index = 16)
    private String complaintNum;

    /**
     * 投诉内容
     */
    @ApiModelProperty(value = "投诉内容")
    @ExcelProperty(index = 17)
    private String complaintDetail;

    /**
     * sp订购/点播指令
     */
    @ApiModelProperty(value = "sp订购/点播指令")
    @ExcelProperty(index = 18)
    private String spOrderCode;

    /**
     * sp订购/点播接入号
     */
    @ApiModelProperty(value = "sp订购/点播接入号")
    @ExcelProperty(index = 19)
    private String spOrderNo;

    /**
     * 责任方代码
     */
    @ApiModelProperty(value = "责任方代码")
    @ExcelProperty(index = 20)
    private String spcode2;

    /**
     * 责任方名称
     */
    @ApiModelProperty(value = "责任方名称")
    @ExcelProperty(index = 21)
    private String spcodename2;

    /**
     * 结单时间
     */
    @ApiModelProperty(value = "结单时间")
    @ExcelProperty(index = 22)
    private String finishTime;

    /**
     * 投诉单号
     */
    @ApiModelProperty(value = "投诉单号")
    @ExcelProperty(index = 23)
    private String complaintNo;

    /**
     * 投诉编号
     */
    @ApiModelProperty(value = "投诉编号")
    @ExcelProperty(index = 24)
    private String complaintItemno;

    /**
     * 状态
     */
    @ApiModelProperty(value = "状态")
    @ExcelProperty(index = 25)
    private String status;

    /**
     * 申诉状态
     */
    @ApiModelProperty(value = "申诉状态")
    @ExcelProperty(index = 26)
    private String statusPlead;


}
