package org.springblade.customer.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 客服数据表
 * </p>
 *
 * @author zbc
 * @since 2021-10-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class CustomerReport implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 报表名称
     */
	@ApiModelProperty(value = "报表名称")
    private String reportName;

    /**
     * 分类ID
     */
	@ApiModelProperty(value = "分类ID")
    private Long categoryId;

    /**
     * 分类code
     */
	@ApiModelProperty(value = "分类code")
    private String categoryCode;

    /**
     * 上传地址
     */
	@ApiModelProperty(value = "上传地址")
    private String reportUrl;

    /**
     * 创建人
     */
	@ApiModelProperty(value = "创建人")
    private String createUser;

    /**
     * 创建时间
     */
	@ApiModelProperty(value = "创建时间")
    private Date createTime;

	/**
	 * 批次号
	 */
	@ApiModelProperty(value = "批次号")
	private String batchNum;


}
