package org.springblade.customer.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 客服数据分类表
 * </p>
 *
 * @author zbc
 * @since 2021-10-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class CustomerReportCategory implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 分类名称
     */
	@ApiModelProperty(value = "分类名称")
    private String categoryName;

    /**
     * 分类code
     */
	@ApiModelProperty(value = "分类code")
    private String categoryCode;

    /**
     * 报表模板
     */
	@ApiModelProperty(value = "报表模板")
    private String template;

    /**
     * 创建人
     */
	@ApiModelProperty(value = "创建人")
    private String createUser;

    /**
     * 创建时间
     */
	@ApiModelProperty(value = "创建时间")
    private Date createTime;


}
