package org.springblade.customer.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 客服投诉记录表
 * </p>
 *
 * @author zbc
 * @since 2021-08-19
 */
@Data
@TableName("FCT_CS_RECORDS")
public class FctCsRecords implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 日期
     */
    private Long theday;

    /**
     * 工单编号
     */
    private String worksheetid;

    /**
     * 受理时间
     */
    private Date acceptTime;

    /**
     * 工单状态
     */
    private String worksheetStatus;

    /**
     * 来电号码
     */
    private String dialPhonenum;

    /**
     * 受理号码
     */
    private String acceptPhonenum;

    /**
     * 业务类型
     */
    private String serviceType;

    /**
     * 原始业务种类
     */
    private String serviceType2;

    /**
     * 业务名称
     */
    private String spname;

    /**
     * 业务ID
     */
    private String spid;

    /**
     * 用户归属省
     */
    private String province;

    /**
     * 角色来源
     */
    private String roleSource;

    /**
     * 受理方式
     */
    private String acceptType;

    /**
     * 投诉类型
     */
    private String complaintType;

    /**
     * 投诉小类
     */
    private String complaintSubtype;

    /**
     * 退费原因
     */
    private String refundReason;

    /**
     * 具体描述
     */
    private String describe;

    /**
     * 处理结果
     */
    private String handleResult;

    /**
     * 是否退费
     */
    private String isRefunded;

    /**
     * 退费号码
     */
    private String refundPnonenum;

    /**
     * 退费倍数
     */
    private String refundTimes;

    /**
     * 退费总金额
     */
    private Double refundMoney;

    /**
     * 是否高额退费
     */
    private String isHighRefund;

    /**
     * 客服工号
     */
    private String serviceNo;

    /**
     * 结束时间
     */
    private Date finishTime;

    /**
     * 业务部门接受时间
     */
    private Date bpAcceptTime;

    /**
     * 业务部门处理时间
     */
    private Date bpHandleTime;

    /**
     * 业务部门用时时间
     */
    private String bpSpendTime;

    /**
     * 反馈时限
     */
    private String feedbackLimit;

    /**
     * 处理意见1
     */
    private String feedback1;

    /**
     * 处理意见2
     */
    private String feedback2;

    /**
     * 处理意见3
     */
    private String feedback3;

    /**
     * 非一次性解决
     */
    private String notcloseOnetimes;

    /**
     * 非一次性解决原因
     */
    private String notcloseReason;

    /**
     * 10010号
     */
    private String no10010;

    /**
     * 是否升级投诉
     */
    private String isUpgrade;

    /**
     * 投诉
     */
    private String complaint;

    /**
     * 工单流编号
     */
    private String workflowId;

    /**
     * 业务部门处理人
     */
    private String bpHandlers;

    /**
     * 归属部门
     */
    private String department;

    /**
     * 备注
     */
    private String mcomment;

    private String spcode;

    private String shortname;

    private String categoryname;

    private String cptype;

    private String serviceType3;

	/**
	 * 批次号
	 */
	private String batchNum;


}
