/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.customer.enums;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 导入类型枚举
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum ImportsEnum {
	/**
	 * 呼叫中心
	 */
	FCT_HJ("呼叫中心","fct_hj"),

	/**
	 * 不规范扣款
	 */
	FCT_KK("不规范扣款","fct_kk"),

	/**
	 * 客服投诉明细
	 */
	FCT_KS("客服投诉明细","fct_ks"),

	/**
	 * PRM违约明细
	 */
	FCT_WY("PRM违约明细","fct_wy");

	final String name;
	final String code;

}
