package org.springblade.customer.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.customer.entity.DimVipid;
import org.springblade.customer.mapper.DimVipidMapper;
import org.springblade.customer.query.DimVipQuery;
import org.springblade.customer.service.IDimVipidService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 会员池渠道字典表 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2022-02-09
 */
@Service
@DS("slave")
public class DimVipidServiceImpl extends ServiceImpl<DimVipidMapper, DimVipid> implements IDimVipidService {

	@Autowired
	private DimVipidMapper dimVipidMapper;

	@Override
	public IPage<DimVipid> getPageByQuery(IPage<DimVipid> page, DimVipQuery pageQuery) {
		return dimVipidMapper.getPageByQuery(page,pageQuery);
	}

	@Override
	public void sysOperationLog(Double id, String openType, Double oldPrice,Double newPrice, String realName) {
		dimVipidMapper.sysOperationLog(id,openType,oldPrice,newPrice,realName);
	}
}
