/**
 * 
 */
package org.springblade.finance.dto;

import java.io.Serializable;
import java.math.BigDecimal;

import org.apache.poi.ss.usermodel.FillPatternType;
import org.apache.poi.ss.usermodel.HorizontalAlignment;
import org.apache.poi.ss.usermodel.VerticalAlignment;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentFontStyle;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import com.alibaba.excel.annotation.write.style.HeadStyle;

import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
@HeadFontStyle(bold = false, fontHeightInPoints = 12)
@HeadStyle(fillPatternType = FillPatternType.NO_FILL, verticalAlignment = VerticalAlignment.CENTER, horizontalAlignment = HorizontalAlignment.CENTER)
@ContentStyle(verticalAlignment = VerticalAlignment.CENTER, horizontalAlignment = HorizontalAlignment.CENTER)
@ContentFontStyle(bold = false, fontHeightInPoints = 10)
public class BenifitAccountExcel implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@ColumnWidth(30)
	@ExcelProperty("渠道名称")
	private String channelName;
	
	@ColumnWidth(30)
	@ExcelProperty("公司名称")
	private String company;
	
	@ColumnWidth(18)
	@ExcelProperty("渠道ID")
	private String channelId;
	
	@ColumnWidth(15)
	@ExcelProperty("账期-月份")
	private BigDecimal theMonth;
	
	@ColumnWidth(15)
	@ExcelProperty("产品名称")
	private String shortname;
	
	@ColumnWidth(15)
	@ExcelProperty("有效")
	private Long vuser;
	
	@ExcelProperty(value = "产品价格")
	@ColumnWidth(20)
	private BigDecimal price;
	
	@ExcelProperty(value = "应收")
	@ColumnWidth(20)
	private BigDecimal moneyAb;
	
	@ExcelProperty(value = "佣金单价")
	@ColumnWidth(20)
	private BigDecimal moneyC;
	
	@ExcelProperty(value = "总佣金")
	@ColumnWidth(20)
	private BigDecimal moneyAc;
	
	@ExcelProperty(value = "权益成本")
	@ColumnWidth(20)
	private BigDecimal moneyAd;
	
	@ExcelProperty(value = "省分成本单价")
	@ColumnWidth(20)
	private BigDecimal moneyE;
	
	@ExcelProperty(value = "省分成本")
	@ColumnWidth(20)
	private BigDecimal moneyAE;
	
	@ExcelProperty(value = "利润")
	@ColumnWidth(20)
	private BigDecimal moneyF;
	
	@ExcelProperty(value = "利润率（%）")
	@ColumnWidth(20)
	private BigDecimal moneyPct;
	
}
