package org.springblade.finance.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class ChannelSpidVerifyDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "渠道ID")
	@NotBlank(message = "渠道ID不能为空")
	private String channelid;

	@ApiModelProperty(value = "产品ID")
	@NotBlank(message = "产品ID不能为空")
	private String spid;

	@ApiModelProperty(value = "是否有效。1：有效；0：无效")
	@NotNull(message = "是否有效不能为空")
	private BigDecimal isValid;


}
