/**
 *
 */
package org.springblade.finance.dto;

import java.io.Serializable;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import org.apache.poi.ss.usermodel.FillPatternType;
import org.apache.poi.ss.usermodel.HorizontalAlignment;
import org.apache.poi.ss.usermodel.VerticalAlignment;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentFontStyle;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import com.alibaba.excel.annotation.write.style.HeadStyle;

import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
@HeadFontStyle(bold = false, fontHeightInPoints = 12)
@HeadStyle(fillPatternType = FillPatternType.NO_FILL, verticalAlignment = VerticalAlignment.CENTER, horizontalAlignment = HorizontalAlignment.CENTER)
@ContentStyle(verticalAlignment = VerticalAlignment.CENTER, horizontalAlignment = HorizontalAlignment.CENTER)
@ContentFontStyle(bold = false, fontHeightInPoints = 10)
public class DateRangeAccountExcel implements Serializable {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	@ColumnWidth(30)
	@ExcelProperty("渠道名称")
	private String channelName;

	@ColumnWidth(30)
	@ExcelProperty("公司名称")
	private String company;

	@ColumnWidth(18)
	@ExcelProperty("渠道ID")
	private String channelId;

	@ColumnWidth(15)
	@ExcelProperty("产品名称")
	private String shortname;

	@ColumnWidth(15)
	@ExcelProperty("spid")
	private String spid;

	@ColumnWidth(15)
	@ExcelProperty("结算月份")
	private BigDecimal theMonth;

	@ColumnWidth(25)
	@ExcelProperty("平台有效用户数")
	@HeadFontStyle(color = 10, fontHeightInPoints = 12, bold = false)
	private BigDecimal onPlatform;

	@ColumnWidth(30)
	@ExcelProperty("T+1预结用户数")
	@HeadFontStyle(color = 10, fontHeightInPoints = 12, bold = false)
	private BigDecimal onDateRange;

	@ColumnWidth(30)
	@ExcelProperty("PRM有效用户数")
	@HeadFontStyle(color = 10, fontHeightInPoints = 12, bold = false)
	private BigDecimal accountUsers;

	@ColumnWidth(30)
	@ExcelProperty("T+1预结金额")
	@HeadFontStyle(color = 10, fontHeightInPoints = 12, bold = false)
	private BigDecimal moneyOne;

	@ColumnWidth(20)
	@ExcelProperty("400扣罚")
	@HeadFontStyle(color = 10, fontHeightInPoints = 12, bold = false)
	private BigDecimal moneyOneDiscount;

	@ColumnWidth(33)
	@ExcelProperty(value = "第一次调整金额")
	@HeadFontStyle(color = 10, fontHeightInPoints = 12, bold = false)
	private BigDecimal adjustMoney1;

	@ColumnWidth(30)
	@ExcelProperty("第一次结算金额")
	@HeadFontStyle(color = 10, fontHeightInPoints = 12, bold = false)
	private BigDecimal moneyOneReal;

	@ColumnWidth(30)
	@ExcelProperty("第二次预估结算金额")
	@HeadFontStyle(color = 10, fontHeightInPoints = 12, bold = false)
	private BigDecimal moneyTwo;

	@ColumnWidth(30)
	@ExcelProperty("客服退赔付费")
	@HeadFontStyle(color = 10, fontHeightInPoints = 12, bold = false)
	private BigDecimal moneyTwoDiscount1;

	@ColumnWidth(30)
	@ExcelProperty("省分违约扣款")
	@HeadFontStyle(color = 10, fontHeightInPoints = 12, bold = false)
	private BigDecimal moneyTwoDiscount2;

	@ColumnWidth(28)
	@ExcelProperty("调帐金额")
	@HeadFontStyle(color = 10, fontHeightInPoints = 12, bold = false)
	private BigDecimal moneyTwoDiscount3;

	@ColumnWidth(30)
	@ExcelProperty("不规范定制处罚费")
	@HeadFontStyle(color = 10, fontHeightInPoints = 12, bold = false)
	private BigDecimal moneyTwoDiscount4;

	@ColumnWidth(33)
	@ExcelProperty(value = "第二次调整金额")
	@HeadFontStyle(color = 10, fontHeightInPoints = 12, bold = false)
	private BigDecimal adjustMoney2;

	@ColumnWidth(33)
	@ExcelProperty("PRM有效用户清算金额")
	@HeadFontStyle(color = 10, fontHeightInPoints = 12, bold = false)
	private BigDecimal moneyTwoReal;

}
