/**
 *
 */
package org.springblade.finance.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.*;
import lombok.Data;
import org.apache.poi.ss.usermodel.FillPatternType;
import org.apache.poi.ss.usermodel.HorizontalAlignment;
import org.apache.poi.ss.usermodel.VerticalAlignment;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author wookvn
 *
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
@HeadFontStyle(bold = false, fontHeightInPoints = 12)
@HeadStyle(fillPatternType = FillPatternType.NO_FILL, verticalAlignment = VerticalAlignment.CENTER, horizontalAlignment = HorizontalAlignment.CENTER)
@ContentStyle(verticalAlignment = VerticalAlignment.CENTER, horizontalAlignment = HorizontalAlignment.CENTER)
@ContentFontStyle(bold = false, fontHeightInPoints = 10)
public class DateRangeAccountPdfToExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	@ColumnWidth(30)
	@ExcelProperty("合作伙伴名称")
	private String company;

	@ColumnWidth(30)
	@ExcelProperty("T+1预结/T+5清算")
	private String dealTypeneme;

	@ColumnWidth(15)
	@ExcelProperty("账期")
	private Long themonth;

	@ColumnWidth(30)
	@ExcelProperty("产品名称")
	private String spname;

	@ColumnWidth(25)
	@ExcelProperty("预结有效用户数")
	@HeadFontStyle(color = 10, fontHeightInPoints = 12, bold = false)
	private Double vuserOndaterange;

	@ColumnWidth(30)
	@ExcelProperty("PRM有效用户数")
	@HeadFontStyle(color = 10, fontHeightInPoints = 12, bold = false)
	private BigDecimal accountUsers;

	@ColumnWidth(20)
	@ExcelProperty("400扣罚金额")
	@HeadFontStyle(color = 10, fontHeightInPoints = 12, bold = false)
	private BigDecimal money1Discount;

	@ColumnWidth(30)
	@ExcelProperty("客服退赔付费")
	@HeadFontStyle(color = 10, fontHeightInPoints = 12, bold = false)
	private BigDecimal money2Discount1;

	@ColumnWidth(30)
	@ExcelProperty("省分违约扣款")
	@HeadFontStyle(color = 10, fontHeightInPoints = 12, bold = false)
	private BigDecimal money2Discount2;

	@ColumnWidth(28)
	@ExcelProperty("调帐金额")
	@HeadFontStyle(color = 10, fontHeightInPoints = 12, bold = false)
	private BigDecimal money2Discount3;

	@ColumnWidth(30)
	@ExcelProperty("不规范定制处罚费")
	@HeadFontStyle(color = 10, fontHeightInPoints = 12, bold = false)
	private BigDecimal money2Discount4;

	@ColumnWidth(33)
	@ExcelProperty("结算金额")
	@HeadFontStyle(color = 10, fontHeightInPoints = 12, bold = false)
	private BigDecimal moneyReal;

}
