/**
 *
 */
package org.springblade.finance.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import org.apache.poi.ss.usermodel.FillPatternType;
import org.apache.poi.ss.usermodel.HorizontalAlignment;
import org.apache.poi.ss.usermodel.VerticalAlignment;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentFontStyle;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import com.alibaba.excel.annotation.write.style.HeadStyle;

import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
@HeadFontStyle(bold = false, fontHeightInPoints = 12)
@HeadStyle(fillPatternType = FillPatternType.NO_FILL, verticalAlignment = VerticalAlignment.CENTER, horizontalAlignment = HorizontalAlignment.CENTER)
@ContentStyle(verticalAlignment = VerticalAlignment.CENTER, horizontalAlignment = HorizontalAlignment.CENTER)
@ContentFontStyle(bold = false, fontHeightInPoints = 10)
public class DateRangeUsersExcel implements Serializable {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	@ColumnWidth(15)
	@ExcelProperty("结算月份")
	@HeadFontStyle(color = 10, fontHeightInPoints = 12, bold = false)
	private BigDecimal theMonth;

	@ColumnWidth(30)
	@ExcelProperty("渠道名称")
	private String channelName;

	@ColumnWidth(30)
	@ExcelProperty("公司名称")
	private String company;

	@ColumnWidth(18)
	@ExcelProperty("渠道ID")
	private String channelId;

	@ColumnWidth(15)
	@ExcelProperty("产品名称")
	private String shortname;

	@ColumnWidth(15)
	@ExcelProperty("spid")
	private String spid;

	@ColumnWidth(22)
	@ExcelProperty("订购时间")
	@DateTimeFormat("yyyy-MM-dd HH:mm:ss")
	private Date orderTime;

	@ColumnWidth(17)
	@ExcelProperty("手机号码")
	private String userId;

	@ColumnWidth(10)
	@ExcelProperty("省份")
	private String province;

	@ColumnWidth(10)
	@ExcelProperty("地市")
	private String area;

	@ColumnWidth(30)
	@ExcelProperty("结算是否有效")
	private String isValid;
}
