/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.finance.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.*;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.poi.ss.usermodel.FillPatternType;
import org.apache.poi.ss.usermodel.HorizontalAlignment;
import org.apache.poi.ss.usermodel.VerticalAlignment;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 其它渠道-会员权益结算详情实体类
 *
 * @author zbc
 * @since 2022-06-13
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
@HeadFontStyle(bold = false, fontHeightInPoints = 12)
@HeadStyle(fillPatternType = FillPatternType.NO_FILL, verticalAlignment = VerticalAlignment.CENTER, horizontalAlignment = HorizontalAlignment.CENTER)
@ContentStyle(verticalAlignment = VerticalAlignment.CENTER, horizontalAlignment = HorizontalAlignment.CENTER)
@ContentFontStyle(bold = false, fontHeightInPoints = 10)
public class FinVippoolMonthDetailDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ColumnWidth(15)
	@ExcelProperty("月份")
	private Long themonth;

	@ColumnWidth(15)
	@ExcelProperty("合作方名称")
	private String cpShortname;

	@ColumnWidth(15)
	@ExcelProperty("渠道ID")
	private String channelid;

	@ColumnWidth(15)
	@ExcelProperty("权益名称")
	private String qyName;

	@ColumnWidth(15)
	@ExcelProperty("成本价格")
	private BigDecimal costprice;

	@ColumnWidth(15)
	@ExcelProperty("消耗数量")
	private Integer num;

	@ColumnWidth(15)
	@ExcelProperty("结算金额")
	private BigDecimal money;


}
