/**
 *
 */
package org.springblade.finance.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.*;
import lombok.Data;
import org.apache.poi.ss.usermodel.FillPatternType;
import org.apache.poi.ss.usermodel.HorizontalAlignment;
import org.apache.poi.ss.usermodel.VerticalAlignment;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author wookvn
 *
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
@HeadFontStyle(bold = false, fontHeightInPoints = 12)
@HeadStyle(fillPatternType = FillPatternType.NO_FILL, verticalAlignment = VerticalAlignment.CENTER, horizontalAlignment = HorizontalAlignment.CENTER)
@ContentStyle(verticalAlignment = VerticalAlignment.CENTER, horizontalAlignment = HorizontalAlignment.CENTER)
@ContentFontStyle(bold = false, fontHeightInPoints = 10)
public class InnerAccountExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	@ColumnWidth(15)
	@ExcelProperty("月份")
	private String themonth;

	@ColumnWidth(15)
	@ExcelProperty("结算单类型")
	private String dealType;

	@ColumnWidth(15)
	@ExcelProperty("结算方名称")
	private String company;

	@ColumnWidth(15)
	@ExcelProperty("结算用户数")
	private Long usernum;

	@ColumnWidth(15)
	@ExcelProperty("结算单价")
	private BigDecimal price;

	@ColumnWidth(15)
	@ExcelProperty("结算金额")
	private BigDecimal money;

}
