/**
 * 
 */
package org.springblade.finance.dto;

import java.io.Serializable;
import java.math.BigDecimal;

import org.apache.poi.ss.usermodel.FillPatternType;
import org.apache.poi.ss.usermodel.HorizontalAlignment;
import org.apache.poi.ss.usermodel.VerticalAlignment;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentFontStyle;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import com.alibaba.excel.annotation.write.style.HeadStyle;

import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
@HeadFontStyle(bold = false, fontHeightInPoints = 12)
@HeadStyle(fillPatternType = FillPatternType.NO_FILL, verticalAlignment = VerticalAlignment.CENTER, horizontalAlignment = HorizontalAlignment.CENTER)
@ContentStyle(verticalAlignment = VerticalAlignment.CENTER, horizontalAlignment = HorizontalAlignment.CENTER)
@ContentFontStyle(bold = false, fontHeightInPoints = 10)
public class OrderUsersExcel implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	@ColumnWidth(30)
	@ExcelProperty("渠道名称")
	private String channelName;
	
	@ColumnWidth(30)
	@ExcelProperty("公司名称")
	private String company;
	
	@ColumnWidth(18)
	@ExcelProperty("渠道ID")
	private String channelId;
	
	@ColumnWidth(15)
	@ExcelProperty("产品名称")
	private String shortname;
	
	@ColumnWidth(15)
	@ExcelProperty("spid")
	private String spid;
	
	@ColumnWidth(15)
	@ExcelProperty("日期")
	private BigDecimal theDay;
	
	@ColumnWidth(12)
	@ExcelProperty("日新增")
	private BigDecimal dayOrder;
	
	@ColumnWidth(12)
	@ExcelProperty("月新增")
	private BigDecimal monthOrder;
	
	@ColumnWidth(12)
	@ExcelProperty("平台月退订")
	@HeadStyle(fillBackgroundColor = 13, fillForegroundColor = 13)
	private BigDecimal monthCancel;
	
//	@ColumnWidth(32)
//	@ExcelProperty("结算范围内有效用于月退订")
//	@HeadStyle(fillBackgroundColor = 13, fillForegroundColor = 13)
//	private BigDecimal mcancelOnDateRange;
	
//	@ColumnWidth(30)
//	@ExcelProperty("结算范围内有效用户数")
//	private BigDecimal onDateRange;
	
	@ColumnWidth(12)
	@ExcelProperty("平台月有效")
	private BigDecimal month;
}
