/**
 * 
 */
package org.springblade.finance.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.*;
import lombok.Data;
import org.apache.poi.ss.usermodel.FillPatternType;
import org.apache.poi.ss.usermodel.HorizontalAlignment;
import org.apache.poi.ss.usermodel.VerticalAlignment;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author wookvn
 *
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
@HeadFontStyle(bold = false, fontHeightInPoints = 12)
@HeadStyle(fillPatternType = FillPatternType.NO_FILL, verticalAlignment = VerticalAlignment.CENTER, horizontalAlignment = HorizontalAlignment.CENTER)
@ContentStyle(verticalAlignment = VerticalAlignment.CENTER, horizontalAlignment = HorizontalAlignment.CENTER)
@ContentFontStyle(bold = false, fontHeightInPoints = 10)
public class ProvDetailExcel implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	@ColumnWidth(30)
	@ExcelProperty("产品代码")
	private String prmid;

	@ColumnWidth(30)
	@ExcelProperty("产品名称")
	private String spname;

	@ColumnWidth(30)
	@ExcelProperty("省份")
	private String province;

	@ColumnWidth(30)
	@ExcelProperty("结算用户数")
	private Long usernum;

	@ColumnWidth(30)
	@ExcelProperty("采购单价（元/户）")
	private BigDecimal price;

	@ColumnWidth(30)
	@ExcelProperty("结算金额（元）")
	private BigDecimal money;

	@ColumnWidth(30)
	@ExcelProperty("结算账期")
	private Long themonth;


}
