/**
 *
 */
package org.springblade.finance.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.poi.ss.usermodel.FillPatternType;
import org.apache.poi.ss.usermodel.HorizontalAlignment;
import org.apache.poi.ss.usermodel.VerticalAlignment;

import java.io.Serializable;

/**
 * @author wookvn
 *
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
@HeadFontStyle(bold = false, fontHeightInPoints = 12)
@HeadStyle(fillPatternType = FillPatternType.NO_FILL, verticalAlignment = VerticalAlignment.CENTER, horizontalAlignment = HorizontalAlignment.CENTER)
@ContentStyle(verticalAlignment = VerticalAlignment.CENTER, horizontalAlignment = HorizontalAlignment.CENTER)
@ContentFontStyle(bold = false, fontHeightInPoints = 10)
public class YksytAccountExcel implements Serializable {

	private static final long serialVersionUID = 1L;


	@ColumnWidth(15)
	@ExcelProperty("月份")
	private Integer themonth;

	@ColumnWidth(15)
	@ExcelProperty("结算类型")
	private String dealType;

	@ColumnWidth(15)
	@ExcelProperty("渠道名称")
	private String channelName;

	@ColumnWidth(15)
	@ExcelProperty("渠道类别")
	private String belongto;

	@ColumnWidth(15)
	@ExcelProperty("产品名称")
	private String spName;

	@ColumnWidth(15)
	@ExcelProperty("新增用户")
	private Long newuser;

	@ColumnWidth(15)
	@ExcelProperty("续订")
	private Long olduser;

	@ColumnWidth(15)
	@ExcelProperty("结算用户总数")
	private Long totaluser;

	@ColumnWidth(15)
	@ExcelProperty("结算单价")
	private Double price;

	@ColumnWidth(15)
	@ExcelProperty("CP退费")
	private Double refundForCp;

	@ColumnWidth(15)
	@ExcelProperty("扣罚金额（含CP退费）")
	private Double moneyDiscount;

	@ColumnWidth(15)
	@ExcelProperty("预估金额")
	private Double moneyReckon;

	@ColumnWidth(15)
	@ExcelProperty("结算金额")
	private Double money;


}
