/**
 *
 */
package org.springblade.finance.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.*;
import lombok.Data;
import org.apache.poi.ss.usermodel.FillPatternType;
import org.apache.poi.ss.usermodel.HorizontalAlignment;
import org.apache.poi.ss.usermodel.VerticalAlignment;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author wookvn
 *
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
@HeadFontStyle(bold = false, fontHeightInPoints = 12)
@HeadStyle(fillPatternType = FillPatternType.NO_FILL, verticalAlignment = VerticalAlignment.CENTER, horizontalAlignment = HorizontalAlignment.CENTER)
@ContentStyle(verticalAlignment = VerticalAlignment.CENTER, horizontalAlignment = HorizontalAlignment.CENTER)
@ContentFontStyle(bold = false, fontHeightInPoints = 10)
public class YksytAccountPdfToExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	@ColumnWidth(30)
	@ExcelProperty("公司名称")
	private String company;

	@ColumnWidth(15)
	@ExcelProperty("账期")
	private Integer themonth;

	@ColumnWidth(30)
	@ExcelProperty("产品名称")
	private String spName;

	@ColumnWidth(15)
	@ExcelProperty("新增用户")
	private Long newuser;

	@ColumnWidth(15)
	@ExcelProperty("续订")
	private Long olduser;

	@ColumnWidth(15)
	@ExcelProperty("结算用户总数")
	private Long totaluser;

	@ColumnWidth(15)
	@ExcelProperty("结算单价")
	private BigDecimal price;

	@ColumnWidth(15)
	@ExcelProperty("总扣罚金额（元）")
	private Double moneyDiscount;

	@ColumnWidth(15)
	@ExcelProperty("预估结算金额（元）")
	private Double moneyReckon;

	@ColumnWidth(15)
	@ExcelProperty("结算金额")
	private Double money;


}
