/**
 *
 */
package org.springblade.finance.entity;

import java.io.Serializable;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 *	结算范围内有效用户利润表
 */
@Data
@TableName("V_INT_BENIFIT_ACCOUNT")
@ApiModel(value = "BenifitAccount对象", description = "结算范围内有效用户利润表")
public class BenifitAccount implements Serializable {
	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "公司名称")
	@TableField("COMPANY")
	private String company;

	@ApiModelProperty(value = "渠道ID")
	@TableField("CHANNELID")
	private String channelId;

	@ApiModelProperty(value = "结算渠道名称")
	@TableField("CHANNELNAME")
	private String channelName;

	@ApiModelProperty(value = "产品ID")
	@TableField("SPID")
	private String spid;

	@ApiModelProperty(value = "产品名称")
	@TableField("SPNAME")
	private String spname;

	@ApiModelProperty(value = "产品短名称")
	@TableField("SHORTNAME")
	private String shortname;

	@ApiModelProperty(value = "帐期-月份")
	@TableField("THEMONTH")
	private Long theMonth;

	@ApiModelProperty(value = "有效：A")
	@TableField("VUSER")
	private Long vuser;

	@ApiModelProperty(value = "产品价格：B")
	@TableField("PRICE")
	private BigDecimal price;

	@ApiModelProperty(value = "应收（=A*B）")
	@TableField("MONEY_AB")
	private BigDecimal moneyAb;

	@ApiModelProperty(value = "佣金单价：C")
	@TableField("MONEY_C")
	private BigDecimal moneyC;

	@ApiModelProperty(value = "总佣金：A*C")
	@TableField("MONEY_AC")
	private BigDecimal moneyAc;

	@ApiModelProperty(value = "权益成本")
	@TableField("MONEY_AD")
	private BigDecimal moneyAd;

	@ApiModelProperty(value = "省分成本单价：E")
	@TableField("MONEY_E")
	private BigDecimal moneyE;

	@ApiModelProperty(value = "省分成本：A*E")
	@TableField("MONEY_AE")
	private BigDecimal moneyAE;

	@ApiModelProperty(value = "利润（应收-总佣金-省分成本-领取）")
	@TableField("MONEY_F")
	private BigDecimal moneyF;

	@ApiModelProperty(value = "利润率（利润/应收）")
	@TableField("MONEY_PCT")
	private BigDecimal moneyPct;

	@ApiModelProperty(value = " 结算单ID。一个结算用户可以对应多个结算单，一个结算单可以对应1-N个结算渠道。")
	@TableField("DEAL_ACCOUNT_ID")
	private String dealAccountId;
}
