/**
 *
 */
package org.springblade.finance.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@TableName("V_INT_ONDATERANGE_VUSERS")
@ApiModel(value = "DateRangeUsers对象", description = "结算范围内有效用户清单视图")
public class DateRangeUsers implements Serializable {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "公司名称")
	@TableField("COMPANY")
	private String company;

	@ApiModelProperty(value = "渠道ID")
	@TableField("CHANNELID")
	private String channelId;

	@ApiModelProperty(value = "渠道名称")
	@TableField("CHANNELNAME")
	private String channelName;

	@ApiModelProperty(value = "产品ID")
	@TableField("SPID")
	private String spid;

	@ApiModelProperty(value = "产品名称")
	@TableField("SPNAME")
	private String spname;

	@ApiModelProperty(value = "产品短名称")
	@TableField("SHORTNAME")
	private String shortname;

	@ApiModelProperty(value = "月份")
	@TableField("THEMONTH")
	private BigDecimal theMonth;

	@ApiModelProperty(value = "手机号码")
	@TableField("USERID")
	private String userId;

	@ApiModelProperty(value = "订购时间")
	@TableField("ORDERTIME")
	private Date orderTime;

	@ApiModelProperty(value = "省份")
	@TableField("PROVINCE")
	private String province;

	@ApiModelProperty(value = "地市")
	@TableField("AREA")
	private String area;

	@ApiModelProperty(value = "结算是否有效")
	@TableField("IS_VALID")
	private String isValid;


	@ApiModelProperty(value = " 结算单ID。一个结算用户可以对应多个结算单，一个结算单可以对应1-N个结算渠道。")
	@TableField("DEAL_ACCOUNT_ID")
	private String dealAccountId;
}
