/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.finance.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 其它渠道-会员权益结算详情实体类
 *
 * @author zbc
 * @since 2022-06-13
 */
@Data
@TableName("FIN_VIPPOOL_MONTH_DETAIL")
public class FinVippoolMonthDetail implements Serializable {

	private static final long serialVersionUID = 1L;
	/**
	 * 月份
	 */
	private Long themonth;
	/**
	 * 合作方名称
	 */
	private String cpShortname;

	@ApiModelProperty(value = "渠道ID")
	private String channelid;
	/**
	 * 权益名称
	 */
	private String qyName;
	/**
	 * 成本价格
	 */
	private BigDecimal costprice;
	/**
	 * 消耗数量
	 */
	private Integer num;
	/**
	 * 结算金额
	 */
	private BigDecimal money;


}
