/**
 *
 */
package org.springblade.finance.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@TableName("INT_FINANCE_BILL_AUDIT_USER")
@ApiModel(value = "FinanceBillAuditUser对象", description = "结算单审核用户表")
public class FinanceBillAuditUser implements Serializable {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "审核用户ID[主键]")
	@TableId(value="AUID", type = IdType.ASSIGN_ID)
	@JsonSerialize(using=ToStringSerializer.class)
	private Long auid;

	@ApiModelProperty(value = "结算单审核ID")
	@TableField("AID")
	@JsonSerialize(using=ToStringSerializer.class)
	private Long aid;

	@ApiModelProperty(value = "用户ID")
	@TableField("USERID")
	@JsonSerialize(using=ToStringSerializer.class)
	private Long userId;

	@ApiModelProperty(value = "审核人姓名")
	@TableField("USERNAME")
	private String userName;

	@ApiModelProperty(value = "审核时间")
	@TableField("CHECKTIME")
	private Date checkTime;

	@ApiModelProperty(value = "审核状态(1-审核/0-未审核)")
	@TableField("CHECKSTATUS")
	private Integer checkStatus;

	@ApiModelProperty(value = "审核优先级( 1 - N 依次排序)")
	@TableField("PRIORITY")
	private Integer priority;

	/**
	 * @param aid
	 * @param userId
	 * @param userName
	 * @param checkTime
	 * @param checkStatus
	 */
	public FinanceBillAuditUser(Long aid, Long userId, String userName, Date checkTime, Integer checkStatus) {
		super();
		this.aid = aid;
		this.userId = userId;
		this.userName = userName;
		this.checkTime = checkTime;
		this.checkStatus = checkStatus;
	}

	/**
	 *
	 */
	public FinanceBillAuditUser() {
		super();
	}

}
