/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.finance.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 内部结算-结算单表实体类
 *
 * @author zbc
 * @since 2022-07-20
 */
@Data
@TableName("INNER_ACCOUNT")
public class InnerAccount implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "序号")
	@JsonSerialize(using= ToStringSerializer.class)
	private Long sid;

	@ApiModelProperty(value = "月份")
	private Long themonth;

	@ApiModelProperty(value = "结算单类型")
	private String dealType;

	@ApiModelProperty(value = "结算方名称")
	private String company;

	@ApiModelProperty(value = "结算用户数")
	private Long usernum;

	@ApiModelProperty(value = "结算金额")
	private BigDecimal money;

	@ApiModelProperty(value = "是否报账标记-预结：0：未报账；1：已报账；")
	private Integer flagRender;

	@ApiModelProperty(value = "报账人")
	private String renderUser;

	@ApiModelProperty(value = "报账时间")
	private Date renderTime;

	@ApiModelProperty(value = "第一次推送许可。0：不允许推送；1：允许推送；2：已推送")
	private Integer allowPush;

	@ApiModelProperty(value = " 结算单ID。一个结算用户可以对应多个结算单，一个结算单可以对应1-N个结算渠道。")
	@TableField("DEAL_ACCOUNT_ID")
	private String dealAccountId;


}
