/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.finance.entity;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 内部结算-结算单唯一固定编号表实体类
 *
 * @author zbc
 * @since 2022-07-20
 */
@Data
public class InnerAccountSid implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	* 结算单序号
	*/
	private BigDecimal sid;
	/**
	* 结算月份
	*/
	private Long themonth;
	/**
	* 结算单类型
	*/
	private String dealType;
	/**
	* 结算方名称
	*/
	private String company;
	/**
	* 第一次推送许可。0：不允许推送；1：允许推送 ；2：已推送
	*/
	private Integer allowPush;


}
