/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.finance.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 内部结算-结算单审核用户表实体类
 *
 * @author zbc
 * @since 2022-07-20
 */
@Data
@TableName("INNER_BILL_AUDIT_USER")
public class InnerBillAuditUser implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "序号")
	@TableId(value="AUID", type = IdType.ASSIGN_ID)
	@JsonSerialize(using= ToStringSerializer.class)
	private Long auid;

	@ApiModelProperty(value = "结算单序号")
	@JsonSerialize(using= ToStringSerializer.class)
	private Long aid;

	@ApiModelProperty(value = "审核人ID")
	@JsonSerialize(using= ToStringSerializer.class)
	private Long userid;

	@ApiModelProperty(value = "审核人姓名")
	private String username;

	@ApiModelProperty(value = "审核状态(1-审核/0-未审核)")
	private Integer checkstatus;

	@ApiModelProperty(value = "是否报账标记-预结：0：未报账；1：已报账；")
	private Date checktime;

	@ApiModelProperty(value = "审核优先级( 1 - N 依次排序)")
	private Integer priority;


	public InnerBillAuditUser(Long aid, Long userId, String userName, Date checkTime, Integer checkStatus) {
		super();
		this.aid = aid;
		this.userid = userId;
		this.username = userName;
		this.checktime = checkTime;
		this.checkstatus = checkStatus;
	}


	public InnerBillAuditUser() {
		super();
	}


}
