package org.springblade.finance.entity;

import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author zbc
 * @since 2022-04-26
 */
@Data
@TableName("INT_BACK_FILE")
public class IntBackFile implements Serializable {

    private static final long serialVersionUID = 1L;


	/**
	 * 唯一ID
	 */
	@ApiModelProperty(value = "唯一ID")
	@TableId(value="FID", type = IdType.ASSIGN_ID)
	@JsonSerialize(using= ToStringSerializer.class)
	private Long fid;

	/**
	 * 结算单AID
	 */
	@ApiModelProperty(value = "结算单AID")
	@TableField("AID")
	private Long aid;

	/**
	 * 回传时间
	 */
	@ApiModelProperty(value = "回传时间")
	@TableField("UPLOADTIME")
	private Date uploadTime;

	/**
	 * 回传文件名
	 */
	@ApiModelProperty(value = "回传文件名")
	@TableField("UPLOADFILENAME")
	private String uploadFileName;

	/**
	 * 回传文件名下载地址
	 */
	@ApiModelProperty(value = "回传文件名下载地址")
	@TableField("UPLOADFILEURI")
	private String uploadFileUri;

	/**
	 * 是否删除
	 */
	@ApiModelProperty(value = "是否删除")
	@TableField("ISDELETE")
	private Integer isDelete;


}
