package org.springblade.finance.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 互联网结算渠道产品审核表
 * </p>
 *
 * @author zbc
 * @since 2021-12-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class IntChannelSpidToCheck implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 渠道ID
     */
    private String channelid;

    /**
     * 渠道名称
     */
    private String channelname;

    /**
     * 公司名称
     */
    private String company;

    /**
     * 合作开始日期
     */
    private Date accountStartdate;

    /**
     * 合作结束日期
     */
    private Date accountEnddate;

    /**
     * 推广省份
     */
    private String provinces;

    /**
     * 产品ID
     */
    private String spid;

    /**
     * 产品价格
     */
    private BigDecimal price;

    /**
     * 渠道方分成金额
     */
    private BigDecimal partnerIncome;

    /**
     * 分成月份数
     */
    private Long months;

    /**
     * 是否有效。1：有效；0：无效；
     */
    private Integer isValid;

    /**
     * 是否一次性结算。1：是；0：否；
     */
    private Integer isOnce;

    /**
     * 省分分成
     */
    private BigDecimal provinceMoney;

    /**
     * 是否需要扣罚。1：是；0：否；
     */
    private BigDecimal needDiscount;

    /**
     * 数据生成开始月份
     */
    private Date dataStartdate;

    /**
     * 录入人
     */
    private String inputter;

    /**
     * 录入时间
     */
    private Date inputTime;

    /**
     * 审核人
     */
    private String checker;

    /**
     * 审核时间
     */
    private Date checkTime;

    /**
     * 0：待审核；1：审核通过；2：审核不通过；
     */
    private Integer checkStatus;


}
