package org.springblade.finance.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 财务明细表视图
 * </p>
 *
 * @author zbc
 * @since 2022-12-07
 */
@Data
@TableName("V_INT_CW_DETAIL")
public class IntCwDetailView implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "结算单序号")
    private Long sid;

    @ApiModelProperty(value = "合作伙伴名称")
    private String company;

    @ApiModelProperty(value = "结算类型ID：0：预结；1：清算；")
    private Integer dealTypeid;

    @ApiModelProperty(value = "结算类型")
    private String dealTypeneme;

    @ApiModelProperty(value = "账期")
    private Long themonth;

    @ApiModelProperty(value = "产品ID")
    private String spid;

    @ApiModelProperty(value = "产品名称")
    private String spname;

    @ApiModelProperty(value = "产品短名称")
    private String shortname;

    @ApiModelProperty(value = "预结有效")
    private BigDecimal vuserOndaterange;

    @ApiModelProperty(value = "PRM有效用户数")
    private BigDecimal accountUsers;

    @ApiModelProperty(value = "400扣款金额")
    private BigDecimal money1Discount;

    @ApiModelProperty(value = "客服退赔费")
    private BigDecimal money2Discount1;

    @ApiModelProperty(value = "省分违约扣款")
    private BigDecimal money2Discount2;

    @ApiModelProperty(value = "调账金额")
    private BigDecimal money2Discount3;

    @ApiModelProperty(value = "不规范定制处罚费")
    private BigDecimal money2Discount4;

    @ApiModelProperty(value = "结算金额")
    private BigDecimal moneyReal;

    @ApiModelProperty(value = "是否报账标记：0：未报账；1：已报账")
    private Integer flagRender;

    @ApiModelProperty(value = "结算单类型ID")
    private String dealAccountId;


}
