package org.springblade.finance.entity;

import java.io.Serializable;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 结算范围内有效用户结算子表视图
 * </p>
 *
 * @author zbc
 * @since 2022-09-19
 */
@Data
@TableName("V_INT_ODRANGE_ACCOUNT_SUB")
@ApiModel(value = "IntOdrangeAccountSubView对象", description = "微信支付结算详情")
public class IntOdrangeAccountSubView implements Serializable {

    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "序号")
    private Double sid;

	@ApiModelProperty(value = "月份")
    private Long themonth;

	@ApiModelProperty(value = "渠道ID")
    private String channelid;

	@ApiModelProperty(value = "结算渠道名称")
    private String channelname;

	@ApiModelProperty(value = "公司名称")
    private String company;

	@ApiModelProperty(value = "产品ID")
    private String spid;

	@ApiModelProperty(value = "产品名称")
    private String spname;

	@ApiModelProperty(value = "产品短名称")
    private String shortname;

	@ApiModelProperty(value = "平台有效用户数")
    private Long vuserPlatform;

	@ApiModelProperty(value = "结算范围内有效用户数")
    private Long vuserOndaterange;

	@ApiModelProperty(value = "出账用户数")
    private Long accountUsers;

	@ApiModelProperty(value = "第一次预估结算金额")
    private BigDecimal money1;

	@ApiModelProperty(value = "400扣罚")
    private BigDecimal money1Discount;

	@ApiModelProperty(value = "第一次调整金额")
    private BigDecimal adjustMoney1;

	@ApiModelProperty(value = "第一次结算总扣罚金额")
    private BigDecimal money1DiscountTotal;

	@ApiModelProperty(value = "第一次结算金额")
    private BigDecimal money1Real;

	@ApiModelProperty(value = "第二次预估结算金额")
    private BigDecimal money2;

	@ApiModelProperty(value = "客服退赔付费")
    private BigDecimal money2Discount1;

	@ApiModelProperty(value = "省分违约扣款")
    private BigDecimal money2Discount2;

	@ApiModelProperty(value = "调帐金额")
    private BigDecimal money2Discount3;

	@ApiModelProperty(value = "不规范定制处罚费")
    private BigDecimal money2Discount4;

	@ApiModelProperty(value = "第二次调整金额")
    private BigDecimal adjustMoney2;

	@ApiModelProperty(value = "第二次结算总扣罚金额")
    private BigDecimal money2DiscountTotal;

	@ApiModelProperty(value = "第二次结算金额")
    private BigDecimal money2Real;

	@ApiModelProperty(value = "渠道类别")
    private String belongto;

	@ApiModelProperty(value = "匹配度")
    private Double matchPct;

	@ApiModelProperty(value = "匹配值")
    private Double matchValue;

	@ApiModelProperty(value = "结算单类型ID")
    private String dealAccountId;

}
