package org.springblade.finance.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 结算范围内有效用户结算表
 * </p>
 *
 * @author zbc
 * @since 2022-04-26
 */
@Data
@TableName("INT_ONDATERANGE_ACCOUNT")
public class IntOndaterangeAccount implements Serializable {

    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键")
	@TableField("SID")
    private Long sid;

	@ApiModelProperty(value = "月份")
	@TableField("THEMONTH")
    private Long themonth;

	@ApiModelProperty(value = "渠道ID")
	@TableField("CHANNELID")
    private String channelid;

	@ApiModelProperty(value = "产品ID")
	@TableField("SPID")
    private String spid;

	@ApiModelProperty(value = "平台有效用户数")
	@TableField("VUSER_PLATFORM")
    private Long vuserPlatform;

	@ApiModelProperty(value = "结算范围内有效用户数")
	@TableField("VUSER_ONDATERANGE")
    private Long vuserOndaterange;

	@ApiModelProperty(value = "出账用户数")
	@TableField("ACCOUNT_USERS")
    private Long accountUsers;

	@ApiModelProperty(value = "第一次预估结算金额")
	@TableField("MONEY1")
    private BigDecimal money1;

	@ApiModelProperty(value = "第一次扣罚金额：400扣罚")
	@TableField("MONEY1_DISCOUNT")
    private BigDecimal money1Discount;

	@ApiModelProperty(value = "第一次结算金额")
	@TableField("MONEY1_REAL")
    private BigDecimal money1Real;

	@ApiModelProperty(value = "第二次预估结算金额")
	@TableField("MONEY2")
    private BigDecimal money2;

	@ApiModelProperty(value = "客服退赔付费")
	@TableField("MONEY2_DISCOUNT1")
    private BigDecimal money2Discount1;

	@ApiModelProperty(value = "省分违约扣款")
	@TableField("MONEY2_DISCOUNT2")
    private BigDecimal money2Discount2;

	@ApiModelProperty(value = "调帐金额")
	@TableField("MONEY2_DISCOUNT3")
    private BigDecimal money2Discount3;

	@ApiModelProperty(value = "不规范定制处罚费")
	@TableField("MONEY2_DISCOUNT4")
    private BigDecimal money2Discount4;

	@ApiModelProperty(value = "第二次结算金额")
	@TableField("MONEY2_REAL")
    private BigDecimal money2Real;

	@ApiModelProperty(value = "第一次调整金额")
	@TableField("ADJUST_MONEY1")
    private BigDecimal adjustMoney1;

	@ApiModelProperty(value = "第二次调整金额")
	@TableField("ADJUST_MONEY2")
    private BigDecimal adjustMoney2;

	@ApiModelProperty(value = "是否报账标记-预结：0：未报账；1：已报账；")
	@TableField("FLAG_RENDER")
    private Integer flagRender;

	@ApiModelProperty(value = "报账人-预结")
	@TableField("RENDER_USER")
    private String renderUser;

	@ApiModelProperty(value = "报账时间-预结")
	@TableField("RENDER_TIME")
    private Date renderTime;

	@ApiModelProperty(value = "预审标记。0：待预审；1：预审通过；2：预审不通过；")
	@TableField("PERCHECK_FLAG")
    private Integer percheckFlag;

	@ApiModelProperty(value = "预审人")
	@TableField("PERCHECKER")
    private String perchecker;

	@ApiModelProperty(value = "预审时间")
	@TableField("PERCHECK_TIME")
    private Date percheckTime;

	@ApiModelProperty(value = "第一次推送许可。0：不允许推送；1：允许推送；2：已推送")
	@TableField("ALLOW_FIRST_PUSH")
    private Integer allowFirstPush;

	@ApiModelProperty(value = "第二次推送许可。0：不允许推送；1：允许推送；2：已推送")
	@TableField("ALLOW_SECOND_PUSH")
    private Integer allowSecondPush;

	@ApiModelProperty(value = "渠道类别")
	@TableField("BELONGTO")
    private String belongto;

	@ApiModelProperty(value = "匹配度")
	@TableField("MATCH_PCT")
    private Double matchPct;

	@ApiModelProperty(value = "匹配值")
	@TableField("MATCH_VALUE")
    private Double matchValue;

	@ApiModelProperty(value = "是否报账标记-清算：0：未报账；1：已报账；")
	@TableField("FLAG_RENDER2")
    private Integer flagRender2;

	@ApiModelProperty(value = "报账人-清算")
	@TableField("RENDER_USER2")
    private String renderUser2;

	@ApiModelProperty(value = "报账时间-清算")
	@TableField("RENDER_TIME2")
    private Date renderTime2;


}
