package org.springblade.finance.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 优酷收银台渠道发展优酷20元产品的结算表
 * </p>
 *
 * @author zbc
 * @since 2022-04-07
 */
@Data
@TableName("V_YKSYT_ACCOUNT")
public class YksytAccountView implements Serializable {

    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "月份")
    private Integer themonth;

	@ApiModelProperty(value = "新增")
    private Long newuser;

	@ApiModelProperty(value = "续订")
    private Long olduser;

	@ApiModelProperty(value = "结算用户总数")
    private Long totaluser;

	@ApiModelProperty(value = "结算单价")
    private BigDecimal price;

	@ApiModelProperty(value = "结算金额")
    private BigDecimal money;

	@ApiModelProperty(value = "序号")
    private Long sid;

	@ApiModelProperty(value = "渠道ID")
	@TableField("CHANNELID")
    private String channelId;

	@ApiModelProperty(value = "产品ID")
    private String spid;

	@ApiModelProperty(value = "渠道类别")
	private String belongto;

	@ApiModelProperty(value = "匹配度")
	private Double matchPct;

	@ApiModelProperty(value = "匹配度Str")
	@TableField(exist = false)
	private String matchPctStr;

	@ApiModelProperty(value = "匹配值")
	private Double matchValue;

	@ApiModelProperty(value = "是否第一次报账标记：0：未报账；1：已报账；")
	@TableField("FLAG_RENDER")
	private Integer flagRender;

	@ApiModelProperty(value = "预审标记。0：待预审；1：预审通过；2：预审不通过；")
	private Integer percheckFlag;

	@ApiModelProperty(value = "预审人")
	private String perchecker;

	@ApiModelProperty(value = "预审时间")
	private Date percheckTime;

	@ApiModelProperty(value = "允许推送标记。0：不允许推送；1：允许推送；2：已推送")
	private Integer allowPush;

	@ApiModelProperty(value = "渠道名称")
	@TableField("CHANNELNAME")
	private String channelName;

	@ApiModelProperty(value = "产品名称")
	@TableField("SPNAME")
	private String spName;

	@ApiModelProperty(value = "公司名称")
	private String company;

	@ApiModelProperty(value = "结算类型。1：有效用户；2：会员权益；3：出账用户；4：PRM发布")
	private Integer dealType;

	@ApiModelProperty(value = "省分实收信息费(元)")
	private BigDecimal fee2;

	@ApiModelProperty(value = "客服退赔付费（元）")
	private BigDecimal money1;

	@ApiModelProperty(value = "省分违约扣款（元）")
	private BigDecimal money2;

	@ApiModelProperty(value = "不规范定制处罚费（元）")
	private BigDecimal money4;

	@ApiModelProperty(value = "400替CP退费（元）")
	private BigDecimal refundForCp;

	@ApiModelProperty(value = "预估结算金额（元）")
	private BigDecimal moneyReckon;

	@ApiModelProperty(value = "总扣罚金额（元）")
	private BigDecimal moneyDiscount;

	@ApiModelProperty(value = "PRM发布文件导入标记：0：未生成；1：已生成；")
	private Integer fee2Up;

	@ApiModelProperty(value = "替CP退费数据导入标记：0：未导入；1：已导入；")
	private Integer refundForCpUp;

	@TableField(exist = false)
	@ApiModelProperty(value = "金额大写")
	private String convert;

	@ApiModelProperty(value = " 结算单ID。一个结算用户可以对应多个结算单，一个结算单可以对应1-N个结算渠道。")
	@TableField("DEAL_ACCOUNT_ID")
	private String dealAccountId;

	@ApiModelProperty(value = "结算条件")
	@TableField("DEAL_CONDITION")
	private String dealCondition;

	@ApiModelProperty(value = "扣罚情况")
	@TableField("DISCOUNT_STATUS")
	private String discountStatus;

	@ApiModelProperty(value = "备注")
	@TableField("MCOMMENT")
	private String mcomment;

	@TableField(exist = false)
	@ApiModelProperty(value = "开户银行")
	private String bankName;

	@TableField(exist = false)
	@ApiModelProperty(value = "开户银行卡号")
	private String bankCode;

	@TableField(exist = false)
	@ApiModelProperty(value = "文件列表")
	private List<YksytAccountFile> fileList;

	@TableField(exist = false)
	@ApiModelProperty(value = "会员权益列表")
	private List<FinVippoolMonthDetail> vipList;

}
