package org.springblade.finance.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 其它结算渠道产品对照表
 * </p>
 *
 * @author zbc
 * @since 2022-04-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class YksytChannelSpid implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 渠道ID
     */
    private String channelid;

    /**
     * 合作开始月份
     */
    private Date accountStartdate;

    /**
     * 合作结束月份
     */
    private Date accountEnddate;

    /**
     * 推广省份
     */
    private String provinces;

    /**
     * 产品ID
     */
    private String spid;

    /**
     * 产品价格
     */
    private BigDecimal price;

    /**
     * 渠道方分成金额
     */
    private BigDecimal partnerIncome;

    /**
     * 分成月份数
     */
    private Long months;

    /**
     * 是否有效。1：有效；0：无效；
     */
    private Integer isValid;

    /**
     * 是否一次性结算。1：是；0：否；
     */
    private Integer isOnce;

    /**
     * 省分分成
     */
    private BigDecimal provinceMoney;

    /**
     * 是否需要扣罚。1：是；0：否；
     */
    private Integer needDiscount;

    /**
     * 数据生成开始月份
     */
    private Date dataStartdate;

    /**
     * 录入人
     */
    private String inputter;

    /**
     * 录入时间
     */
    private Date inputTime;

    /**
     * 审核人
     */
    private String checker;

    /**
     * 审核时间
     */
    private Date checkTime;

	/**
	 * 结算类型。1：有效用户；2：会员权益；3：出账用户；
	 */
	private Integer dealType;

	/**
	 * 去重月份数
	 */
	private Integer dmonths;


}
