/**
 *
 */
package org.springblade.finance.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author wookvn
 *
 */
@Data
@TableName("V_YKSYT_ORDER_USERS")
@ApiModel(value = "YksytOrderUsers对象", description = "互联网2结算用户发展视图")
public class YksytOrderUsers implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "公司名称")
	@TableField("COMPANY")
	private String company;

	@ApiModelProperty(value = "渠道ID")
	@TableField("CHANNELID")
	private String channelId;

	@ApiModelProperty(value = "渠道名称")
	@TableField("CHANNELNAME")
	private String channelName;

	@ApiModelProperty(value = "产品ID")
	@TableField("SPID")
	private String spid;

	@ApiModelProperty(value = "产品名称")
	@TableField("SPNAME")
	private String spname;

	@ApiModelProperty(value = "产品短名称")
	@TableField("SHORTNAME")
	private String shortname;

	@ApiModelProperty(value = "日期")
	@TableField("THEDAY")
	private BigDecimal theDay;

	@ApiModelProperty(value = "月份")
	@TableField("THEMONTH")
	private BigDecimal theMonth;

	@ApiModelProperty(value = "日新增")
	@TableField("DAY_ORDER")
	private BigDecimal dayOrder;

	@ApiModelProperty(value = "月新增（从1号累积到当天）")
	@TableField("MONTH_ORDER")
	private BigDecimal monthOrder;

	@ApiModelProperty(value = "月退订（按订购渠道，从1号累积到当天）")
	@TableField("MONTH_CANCEL")
	private BigDecimal monthCancel;

	@ApiModelProperty(value = "月有效")
	@TableField("VUSER_MONTH")
	private BigDecimal month;

	@ApiModelProperty(value = " 结算单ID。一个结算用户可以对应多个结算单，一个结算单可以对应1-N个结算渠道。")
	@TableField("DEAL_ACCOUNT_ID")
	private String dealAccountId;

}
