/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.finance.enums;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum PartnerInformationEnum {

	partner_hnklyg("湖南快乐阳光互动娱乐传媒有限公司","建行长沙新世纪支行","4300 1705 0610 5250 0322"),

	partner_shkysm("上海宽娱数码科技有限公司","招商银行股份有限公司上海虹口体育场支行","1219 1555 2010 903"),

	partner_txyjs("腾讯云计算（北京）有限责任公司","招商银行北京分行上地支行","110907316810601"),

	partner_snygjt("苏宁易购集团股份有限公司苏宁采购中心","中国农业银行股份有限公司南京洪武路支行","6228400396014909468"),

	partner_szszrsj("深圳市众人数据技术有限公司","中国光大银行深圳华强支行","78150188000145706"),

	partner_bjshhlw("北京搜狐互联网信息服务有限公司","招商银行北京分行青年路支行","110902098910901"),

	partner_shjlcm("上海聚力传媒技术有限公司","江苏苏宁银行","188010100100010813");

	final String partnerName;
	final String bankName;
	final String bankCode;

}
