/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.finance.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.springblade.finance.entity.InnerBillAudit;
import org.springblade.finance.entity.YksytFinanceBillAudit;

import java.util.List;

/**
 * 内部结算-结算单审核表 Mapper 接口
 *
 * @author zbc
 * @since 2022-07-20
 */
public interface InnerBillAuditMapper extends BaseMapper<InnerBillAudit> {

    List<Long> customAidList(Page<InnerBillAudit> page, @Param(Constants.WRAPPER) QueryWrapper<InnerBillAudit> queryWrapper);

	long customCount(@Param(Constants.WRAPPER)  QueryWrapper<InnerBillAudit> queryWrapper);

	List<InnerBillAudit> customList(@Param(Constants.WRAPPER) QueryWrapper<InnerBillAudit> queryWrapper);

}
