package org.springblade.finance.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.finance.entity.IntChannelSpid;
import org.springblade.finance.mapper.IntChannelSpidMapper;
import org.springblade.finance.service.IIntChannelSpidService;
import org.springblade.finance.vo.ChannelSpidVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 互联网结算渠道产品对照表 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-11-24
 */
@Service
@DS("slave")
public class IntChannelSpidServiceImpl extends ServiceImpl<IntChannelSpidMapper, IntChannelSpid> implements IIntChannelSpidService {

	@Autowired
	private IntChannelSpidMapper intChannelSpidMapper;

	@Override
	public IPage<ChannelSpidVO> getPageByQuery(IPage<ChannelSpidVO> page, List<String> asList) {
		return intChannelSpidMapper.getPageByQuery(page,asList);
	}
}
