/**
 *
 */
package org.springblade.finance.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author wookvn
 *
 */
@Data
public class ChannelSpidVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "公司名称")
	private String company;

	@ApiModelProperty(value = "渠道ID")
	private String channelId;

	@ApiModelProperty(value = "渠道名称")
	private String channelName;

	@ApiModelProperty(value = "合作开始月份")
	@JsonFormat(pattern = "yyyy-MM")
	private Date accountStartDate;

	@ApiModelProperty(value = "合作结束月份")
	@JsonFormat(pattern = "yyyy-MM")
	private Date accountEndDate;

	@ApiModelProperty(value = "推广省份")
	private String provinces;

	@ApiModelProperty(value = "产品ID")
	private String spid;

	@ApiModelProperty(value = "产品名称")
	private String spname;

	@ApiModelProperty(value = "产品短名称")
	private String shortname;

	@ApiModelProperty(value = "产品价格")
	private BigDecimal price;

	@ApiModelProperty(value = "分成金额")
	private BigDecimal partnerIncome;

	@ApiModelProperty(value = "省分分成（元/月）")
	private BigDecimal provinceMoney;

	@ApiModelProperty(value = "分成月份")
	private BigDecimal months;

	@ApiModelProperty(value = "是否有效。1：有效；0：无效")
	private BigDecimal isValid;

	@ApiModelProperty(value = "是否一次性结算产品。1：是；0：否")
	private BigDecimal isOnce;

	@ApiModelProperty(value = "录入人")
	private String inputter;

	@ApiModelProperty(value = "录入时间")
	@JsonFormat(pattern = "yyyy-MM-dd hh:mm:ss")
	private Date inputTime;

	@ApiModelProperty(value = "审核人")
	private String checker;

	@ApiModelProperty(value = "审核时间")
	@JsonFormat(pattern = "yyyy-MM-dd hh:mm:ss")
	private Date checkTime;

	@ApiModelProperty(value = "0：待审核；1：审核通过；2：审核不通过；")
	private Integer checkStatus;

	@ApiModelProperty(value = "录入人名称")
	private String inputName;

	@ApiModelProperty(value = "审核人名称")
	private String checkName;

	@ApiModelProperty(value = "结算类型。1：有效用户；2：会员权益；3：出账用户；")
	private Integer dealType;

	@ApiModelProperty(value = "去重月份数")
	private Integer dmonths;

	@ApiModelProperty(value = " 结算单ID。一个结算用户可以对应多个结算单，一个结算单可以对应1-N个结算渠道。")
	private String dealAccountId;

}
