package org.springblade.imports.dto;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author zbc
 * @since 2021-03-22
 */
@Data
@TableName("FCT_STANDING_BOOK_AGAIN")
@ExcelIgnoreUnannotated
public class FctStandingBookAgainDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@TableField("DID")
	private Long dId;

	@ApiModelProperty(value = "结算时间")
	@ExcelProperty(index = 0)
	@TableField("THEMONTH")
	private String themonth;

	/**
	 * 供货商
	 */
	@ApiModelProperty(value = "供货商")
	@ExcelProperty(index = 1)
	@TableField("SUPPLIER")
	private String supplier;

	@ApiModelProperty(value = "产品类型")
	@ExcelProperty(index = 2)
	@TableField("SPNAME")
	private String spname;


	/**
	 * 权益类型
	 */
	@ApiModelProperty(value = "权益类型")
	@ExcelProperty(index = 3)
	@TableField("RITYPE")
	private String ritype;

	/**
	 * 合同ID
	 */
	@ApiModelProperty(value = "合同ID")
	@ExcelProperty(index = 4)
	@TableField("CONTRACTID")
	private String contractid;

	/**
	 * 供货商ID
	 */
	@ApiModelProperty(value = "供货商侧ID")
	@ExcelProperty(index = 5)
	@TableField("SUPPLIERID")
	private String supplierid;

	@ApiModelProperty(value = "采购单价")
	@ExcelProperty(index = 6)
	@TableField("IN_PRICE")
	private String inPrice;

	@ApiModelProperty(value = "采购数量")
	@ExcelProperty(index = 7)
	@TableField("IN_NUM")
	private String inNum;

	@ApiModelProperty(value = "赠卡数量")
	@ExcelProperty(index = 8)
	@TableField("IN_GIFTCARD_NUM")
	private String inGiftcardNum;

	@ApiModelProperty(value = "采购金额")
	@ExcelProperty(index = 9)
	@TableField("IN_MONEY")
	private String inMoney;

	@ApiModelProperty(value = "入库时间")
	@ExcelProperty(index = 10)
	@TableField("IN_TIME")
	private String inTime;

	@ApiModelProperty(value = "出库单价")
	@ExcelProperty(index = 11)
	@TableField("OUT_PRICE")
	private String outPrice;

	@ApiModelProperty(value = "销售单价")
	@ExcelProperty(index = 12)
	@TableField("SALE_PRICE")
	private String salePrice;

	@ApiModelProperty(value = "出库数量")
	@ExcelProperty(index = 13)
	@TableField("SYSTEM_NUM")
	private String systemNum;

	@ApiModelProperty(value = "赠卡数量")
	@ExcelProperty(index = 14)
	@TableField("SALE_GIFTCARD_NUM")
	private String saleGiftcardNum;

	@ApiModelProperty(value = "出库金额")
	@ExcelProperty(index = 15)
	@TableField("OUT_MONEY")
	private String outMoney;

	@ApiModelProperty(value = "销售出库渠道")
	@ExcelProperty(index = 16)
	@TableField("OUT_CHANNEL")
	private String outChannel;

	@ApiModelProperty(value = "销售出库时间")
	@ExcelProperty(index = 17)
	@TableField("COUT_TIME")
	private String coutTime;

	@ApiModelProperty(value = "结余金额")
	@ExcelProperty(index = 18)
	@TableField("BALANCE_MONEY")
	private String balanceMoney;

	@ApiModelProperty(value = "实际结算数量")
	@ExcelProperty(index = 19)
	@TableField("ACCOUNT_NUM")
	private String accountNum;

	@ApiModelProperty(value = "实际结算金额")
	@ExcelProperty(index = 20)
	@TableField("ACCOUNT_MONEY")
	private String accountMoney;

	@ApiModelProperty(value = "备注")
	@ExcelProperty(index = 21)
	@TableField("MCOMMENT")
	private String mcomment;



}
