package org.springblade.imports.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 会员池最近消耗统计
 * </p>
 *
 * @author zbc
 * @since 2023-03-15
 */
@Data
@TableName("V_RECENT_VIPPOOL_COSTS")
public class VRecentVippoolCosts implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 内部标识
     */
    @ApiModelProperty(value = "内部标识")
    @TableField("VIPPOOL")
    private String vippool;

    /**
     * 供货商
     */
    @ApiModelProperty(value = "供货商")
    @TableField("CP")
    private String cp;

    /**
     * 产品类型
     */
    @ApiModelProperty(value = "产品类型")
    @TableField("PTYPE")
    private String ptype;

    /**
     * 权益类型
     */
    @ApiModelProperty(value = "权益类型")
    @TableField("QYTYPE")
    private String qytype;

    /**
     * 供货商侧标识
     */
    @ApiModelProperty(value = "供货商侧标识")
    @TableField("ID_CP")
    private String idCp;

    /**
     * 消耗数量
     */
    @ApiModelProperty(value = "消耗数量")
    @TableField("NUMS")
    private Double nums;


}
