package org.springblade.imports.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author zbc
 * @since 2021-03-22
 */
@Data
@TableName("FCT_STANDING_BOOK")
@ExcelIgnoreUnannotated
public class FctStandingBookVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@TableField("DID")
	private Long dId;

	@ApiModelProperty(value = "结算时间")
	@ExcelProperty(value = {"结算时间"},index = 0)
	@TableField("THEMONTH")
	private String themonth;

	@ApiModelProperty(value = "产品名称")
	@ExcelProperty(value = {"产品名称"},index = 1)
	@TableField("SPNAME")
	private String spname;

	@ApiModelProperty(value = "采购金额")
	@ExcelProperty(value = {"采购入库","金额"},index = 2)
	@TableField("IN_MONEY")
	private BigDecimal inMoney;

	@ApiModelProperty(value = "采购数量")
	@ExcelProperty(value = {"采购入库","采购数量"},index = 3)
	@TableField("IN_NUM")
	private Double inNum;

	@ApiModelProperty(value = "采购赠卡数量")
	@ExcelProperty(value = {"采购入库","赠卡数量"},index = 4)
	@TableField("IN_GIFTCARD_NUM")
	private Double inGiftcardNum;

	@ApiModelProperty(value = "采购单价")
	@ExcelProperty(value = {"采购入库","单价"},index = 5)
	@TableField("IN_PRICE")
	private BigDecimal inPrice;

	@ApiModelProperty(value = "出库单价")
	@ExcelProperty(value = {"销售出库","出库单价"},index = 6)
	@TableField("OUT_PRICE")
	private BigDecimal outPrice;

	@ApiModelProperty(value = "销售单价")
	@ExcelProperty(value = {"销售出库","销售单价"},index = 7)
	@TableField("SALE_PRICE")
	private BigDecimal salePrice;

	@ApiModelProperty(value = "实际结算数量")
	@ExcelProperty(value = {"销售出库","实际结算数量"},index = 8)
	@TableField("ACCOUNT_NUM")
	private Double accountNum;

	@ApiModelProperty(value = "销售赠卡数量")
	@ExcelProperty(value = {"销售出库","赠卡数量"},index = 9)
	@TableField("SALE_GIFTCARD_NUM")
	private Double saleGiftcardNum;

	@ApiModelProperty(value = "实际结算金额")
	@ExcelProperty(value = {"销售出库","实际结算金额"},index = 10)
	@TableField("ACCOUNT_MONEY")
	private BigDecimal accountMoney;

	@ApiModelProperty(value = "系统出库数量")
	@ExcelProperty(value = {"销售出库","系统出库数量"},index = 11)
	@TableField("SYSTEM_NUM")
	private Double systemNum;

	@ApiModelProperty(value = "结余金额")
	@ExcelProperty(value = {"结余","金额"},index = 12)
	@TableField("BALANCE_MONEY")
	private BigDecimal balanceMoney;

	@ApiModelProperty(value = "结余正价卡数量")
	@ExcelProperty(value = {"结余","正价卡数量"},index = 13)
	@TableField("BALANCE_NORMAL_CARD")
	private Double balanceNormalCard;

	@ApiModelProperty(value = "结余赠卡数量")
	@ExcelProperty(value = {"结余","赠卡数量"},index = 14)
	@TableField("BALANCE_GIFTCARD")
	private Double balanceGiftcard;

	@ApiModelProperty(value = "销售出库渠道")
	@ExcelProperty(value = {"销售出库渠道"},index = 15)
	@TableField("OUT_CHANNEL")
	private String outChannel;

	@ApiModelProperty(value = "销售出库时间")
	@ExcelProperty(value = {"销售出库时间"},index = 16)
	@TableField("COUT_TIME")
	private String coutTime;

	@ApiModelProperty(value = "备注")
	@ExcelProperty(value = {"备注"},index = 17)
	@TableField("MCOMMENT")
	private String mcomment;

	@ApiModelProperty(value = "账号名")
	@ExcelProperty(value = {"导入人"},index = 18)
	@TableField("ACCOUNTNAME")
	private String accountName;

	@ApiModelProperty(value = "导入时间")
	@ExcelProperty(value = {"导入时间"},index = 19)
	@TableField("IMPORTTIME")
	private Date importTime;


}
