package org.springblade.product.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 畅视产品及分类字典
 * </p>
 *
 * @author zbc
 * @since 2021-09-26
 */
@Data
public class BladeProduct implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
	@TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 大类ID
     */
	@ApiModelProperty(value = "大类ID")
    private String categoryid;

    /**
     * 大类名称
     */
	@ApiModelProperty(value = "大类名称")
    private String categoryname;

    /**
     * 小类ID2
     */
	@ApiModelProperty(value = "小类ID2")
    private String cpid2;

    /**
     * 小类ID
     */
	@ApiModelProperty(value = "小类ID")
    private String cpid;

    /**
     * 小类名称
     */
	@ApiModelProperty(value = "小类名称")
    private String cpname;

    /**
     * 产品ID
     */
	@ApiModelProperty(value = "产品ID")
    private String spid;

    /**
     * 产品名称
     */
	@ApiModelProperty(value = "产品名称")
    private String spname;

    /**
     * CP排序权重
     */
	@ApiModelProperty(value = "CP排序权重")
    private Integer cporder;

    /**
     * VAC产品ID
     */
	@ApiModelProperty(value = "VAC产品ID")
    private String vacproductid;

    /**
     * SP编码
     */
	@ApiModelProperty(value = "SP编码")
    private String spcode;

    /**
     * SP代码名称
     */
	@ApiModelProperty(value = "SP代码名称")
    private String spcodename;

    /**
     * 价格
     */
	@ApiModelProperty(value = "价格")
    private BigDecimal price;

    /**
     * 注册时间
     */
	@ApiModelProperty(value = "注册时间")
    private LocalDateTime regtime;

    /**
     * 开始时间
     */
	@ApiModelProperty(value = "开始时间")
    private LocalDateTime startdate;

    /**
     * 结束时间
     */
	@ApiModelProperty(value = "结束时间")
    private LocalDateTime enddate;

    /**
     * 流量类型
     */
	@ApiModelProperty(value = "流量类型")
    private String flowtype;

    /**
     * 最大流量
     */
	@ApiModelProperty(value = "最大流量")
    private String maxflow;

    /**
     * 产品短名称
     */
	@ApiModelProperty(value = "产品短名称")
    private String shortname;

    /**
     * 是否重点产品
     */
	@ApiModelProperty(value = "是否重点产品")
    private Integer isimportant;

    /**
     * 科创产品大类ID
     */
	@ApiModelProperty(value = "科创产品大类ID")
    private String cptype;

    /**
     * 是否在售，1：在，0：不在
     */
	@ApiModelProperty(value = "是否在售，1：在，0：不在")
    private String isorder;

    /**
     * 是否为点播产品，1：点播，2：包月
     */
	@ApiModelProperty(value = "是否为点播产品，1：点播，2：包月")
    private String isdianbo;

    /**
     * 是否为PRM，1：是，2：否，0：都有
     */
	@ApiModelProperty(value = "是否为PRM，1：是，2：否，0：都有")
    private String isprm;

    /**
     * 套内外产品标记，1：套内，2：套外
     */
	@ApiModelProperty(value = "套内外产品标记，1：套内，2：套外")
    private String inmeal;

    /**
     * 内外部收入类型，1：仅内部，2：仅外部，3：都涉及
     */
	@ApiModelProperty(value = "内外部收入类型，1：仅内部，2：仅外部，3：都涉及")
    private String incomestyle;

    /**
     * 重点产品权重
     */
	@ApiModelProperty(value = "重点产品权重")
    private Integer iwight;

    /**
     * 科创侧产品ID
     */
	@ApiModelProperty(value = "科创侧产品ID")
    private String kcSpid;

    /**
     * 华盛侧产品ID
     */
	@ApiModelProperty(value = "华盛侧产品ID")
    private Long productId;

    /**
     * 随心选会员集合ID
     */
	@ApiModelProperty(value = "随心选会员集合ID")
    private Long sxxhySetid;

    /**
     * 领取会员数
     */
	@ApiModelProperty(value = "领取会员数")
    private Integer vips;

    /**
     * 产品小类
     */
	@ApiModelProperty(value = "产品小类")
    private String cptype2;

    /**
     * 小类名称
     */
	@ApiModelProperty(value = "小类名称")
    private String categoryname2;

    /**
     * 唯一产品类别ID
     */
	@ApiModelProperty(value = "唯一产品类别ID")
    private String fullCptype;


}
