package org.springblade.responsible.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 负责人管理表
 * </p>
 *
 * @author zbc
 * @since 2021-04-19
 */
@Data
@Accessors(chain = true)
public class BladeResponsible implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
	@ApiModelProperty("主键ID")
    private Long id;

	@ApiModelProperty("负责人姓名")
    private String name;

	@ApiModelProperty("负责人电话")
    private String phone;

	@ApiModelProperty("负责人邮箱")
    private String email;

	@ApiModelProperty("负责人部门")
    private String department;

	@ApiModelProperty("负责人职务")
    private String position;

	@ApiModelProperty("创建时间")
    private Date createTime;

	@ApiModelProperty("修改时间")
    private Date updateTime;


}
